<?php

if(function_exists('vc_set_as_theme')){
	vc_set_as_theme();
}

if(!class_exists("T2GConnectorConfig")){
class T2GConnectorConfig {
	public function __construct(){
		
	}
	// This function needs to stay in the functions.php of the theme
	public function t2gconnector_product_sku() {
		return '19654782';
	}
	// generic settings
	public function t2gconnector_settings(){
		$settings = array 
			(
				"dashboard_title" => "LifeCoach",
				'logo' => get_template_directory_uri() . '/img/logo.png',
				'auto_update_theme' => false,
				'manual_url' => 'http://themes2go.xyz/manuals/lifecoach/',
				'helpdesk_url' => 'http://www.themes2go.xyz/helpdesk/forums/forum/lifecoach/',
				'messageboard_top' => esc_url('https://themes2go.xyz/t2gconnector-comm/lifecoach/lifecoach_messageboard_top.php'),
				"deepcheck" => false,
				'icon' => get_template_directory_uri() . '/img/theme-icon.png',
			);
		return $settings;
	}
	// for auto plugin update
	public function t2gconnector_plugins_list(){
		$repo = esc_url('http://www.themes2go.xyz/plugins_repo/lifecoach/');
		$folder = '181005-cbet/';



		$plugins = array(
			array(
				'name'      => esc_attr('T2G Theme Dashboard','lifecoach'),
				'slug'      => 't2gconnectorclient',
				'version'	=> '1.3.7',
				'required'  => true,
				'source'             => $repo . 'static/t2gconnectorclient-1.3.7.zip',
				'force_activation'   => false,
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('Theme Core Plugin','lifecoach'),
				'slug'      => 'ttg-core',
				'version'	=> '1.2.9',
				'required'  => true,
				'source'             => $repo . $folder .'ttg-core-1.2.9.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'               => esc_attr('WPBakery Page Builder (Visual Composer)','lifecoach'),
				'slug'               => 'js_composer',
				'source'             => $repo . $folder.'js_composer-5.5.4.zip',
				'version'			 => '5.5.4',
				'required'           => true,
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'               => esc_attr('Icons2go','lifecoach'),
				'slug'               => 'icons2go',
				'source'             => $repo . $folder.'icons2go-1.0.2.zip',
				'version'			 => '1.0.2',
				'required'           => true, 
				'force_activation'   => false,
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('QT Loveit','lifecoach'),
				'slug'      => 'qt-loveit',
				'version'	=> '1.0.0',
				'required'  => false,
				'source'             =>  $repo .  $folder.'qt-loveit-1.0.0.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('Videolove','lifecoach'),
				'slug'      => 'qt-videogalleries',
				'version'	=> '1.7',
				'required'  => true,
				'source'             => $repo .  $folder.'qt-videogalleries-1.7.zip',
				'force_activation'   => false,
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('Themes2Go Widgets','lifecoach'),
				'slug'      => 'ttg-widgets',
				'version'	=> '1.0.4',
				'required'  => true,
				'source'             => $repo . $folder. 'ttg-widgets-1.0.4.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('QT Places','lifecoach'),
				'slug'      => 'qt-places',
				'version'	=> '1.8.1',
				'required'  => true,
				'source'             => $repo . $folder. 'qt-places-1.8.1.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('QT Swipebox','lifecoach'),
				'slug'      => 'qt-swipebox',
				'version'	=> '1.0.2',
				'required'  => true,
				'source'             => $repo . $folder. 'qt-swipebox-1.0.2.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('QT ContactForm','lifecoach'),
				'slug'      => 'qt-contactform',
				'version'	=> '1.5',
				'required'  => true,
				'source'             => $repo . $folder. 'qt-contactform-1.5.zip',
				'force_activation'   => false, 
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('Category Backgrounds','lifecoach'),
				'slug'      => 'ttg-categorybg',
				'version'	=> '1.1.2',
				'required'  => false,
				'source'             => $repo . $folder . 'ttg-categorybg-1.1.2.zip',
				'force_activation'   => false,
				'force_deactivation' => false
			),
			array(
				'name'      => esc_attr('Envato Market - One Click Theme Updater','lifecoach'),
				'slug'      => 'envato-market',
				'version'	=> '2.0.1',
				'required'  => true,
				'source'             => $repo . 'static/envato-market-2.0.1.zip',
				'force_activation'   => false,
				'force_deactivation' => false
			),
			array(
				'name' 		=> 'Contact Form 7',
				'slug' 		=> 'contact-form-7',
				'required' 	=> true,
			),
			array(
	            'name'     	=> 'MailChimp for WordPress', 
	            'required' 	=> true,
	            'slug'     	=> 'mailchimp-for-wp'
			)
		);
		return $plugins;
	}
	public function t2gconnector_demos_list(){
		$demos = array(
			'demo1' => array(
				'name'      	=>  "Main Demo",
				'folder'       	=>  '/T2G-connector-client/demo/demo1/',
				'screenshot'   	=>  '/T2G-connector-client/demo/demo1/screenshot.jpg',
				'description'	=>	'Main product demo'
			),
			'demo2' => array(
				'name'      	=> "Ecommerce Demo",
				'folder'       	=>  '/T2G-connector-client/demo/demo2-ecommerce/',
				'screenshot'   	=>  '/T2G-connector-client/demo/demo2/screenshot.jpg',
				'description'	=>	'Ecommerce demo with WooCommerce products'
			),
			'demo3' => array(
				'name'      	=> "Professional Demo",
				'folder'       	=>  '/T2G-connector-client/demo/demo3-professional/',
				'screenshot'   	=>  '/T2G-connector-client/demo/demo3-professional/screenshot.jpg',
				'description'	=>	'Website template for a life coach professional.'
			),
			'demo4' => array(
				'name'      	=> "LMS Online Courses Demo",
				'folder'       	=>  '/T2G-connector-client/demo/demo4-lms/',
				'screenshot'   	=>  '/T2G-connector-client/demo/demo4-lms/screenshot.jpg',
				'description'	=>	'LMS online courses. Requires LearnPress plugin.'
			),
		);
		return $demos;
	}
}}