<?php
/*
Template Name: Archive Events
Package: LifeCoach
Description: ARCHIVE EVENTS
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * [$paged current paged number]
 * @var [int]
 */


get_header(); 
get_template_part( 'phpincludes/menu');

$paged = lifecoach_get_paged();
?>
    <div id="maincontent" class="qt-main">
        <!-- ======================= HEADER SECTION ======================= -->
        <?php get_template_part( 'phpincludes/part-header-caption-archive'); ?>
        <?php 
        /**
         *
         *  This template can be used also as page template.
         *  In this case we show the page content only if is a page and is page 1
         * 
         */
        if(is_page()){
            if($paged == 1){
                if ( have_posts() ) : while ( have_posts() ) : the_post();
                    the_content();                     
                endwhile; endif;
            }
        }
        ?>
        <!-- ======================= CONTENT SECTION ======================= -->
        <div id="qtcontents" class="qt-container qt-vertical-padding-l qt-archive-events">
            <?php 
                if(is_page()){
                    /**
                     * [$args Query arguments]
                     * @var array
                     */
                    $args = array(
                        'post_type' => 'event',
                        'posts_per_page' => 6,
                        'post_status' => 'publish',
                        'orderby' => 'meta_value',
                        'order'   => 'ASC',
                        'meta_key' => 'eventdate',
                        'suppress_filters' => false,
                        'paged' => $paged
                    );
                    /**
                     *  For events we reorder by date and eventually hide past events
                     */
                    if(get_theme_mod( 'lifecoach_events_hideold', 0 ) == '1'){
                        $args['meta_query'] = array(
                        array(
                            'key' => 'eventdate',
                            'value' => date('Y-m-d'),
                            'compare' => '>=',
                            'type' => 'date'
                             )
                        );
                    }
                    $wp_query = new WP_Query( $args );
                    if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
                         ?>
                        <div id="post-<?php the_ID(); ?>" <?php post_class( "col s12 m6 l4" ); ?>>
                            <?php get_template_part (  'phpincludes/part-archive-item-event-horizontal' ); ?>
                        </div>
                        <?php
                    endwhile; else: ?>
                        <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                    <?php endif;
                    wp_reset_postdata();
                } else {
                    if ( have_posts() ) : while ( have_posts() ) : the_post();
                        setup_postdata( $post );
                         ?>
                        <div id="post-<?php the_ID(); ?>" <?php post_class( "col s12 m6 l4" ); ?>>
                            <?php get_template_part (  'phpincludes/part-archive-item-event-horizontal' ); ?>
                        </div>
                        <?php
                    endwhile; else: ?>
                        <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                    <?php endif;
                }
            ?>
        </div>
        <div class="qt-pagination qt-content-primary">
            <?php get_template_part ('phpincludes/part-pagination'); ?> 
        </div>
    </div><!-- .qt-main end -->
 
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>