<?php
/*
Template Name: Archive Testimonials
Package: LifeCoach
Description: ARCHIVE testimonials
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/
 
get_header(); 
get_template_part( 'phpincludes/menu');

/**
 * [$paged current paged number]
 * @var [int]
 */
$paged = lifecoach_get_paged();
?>
    <div id="maincontent" class="qt-main">
       <!-- ======================= HEADER SECTION ======================= -->
        <?php get_template_part( 'phpincludes/part-header-caption-archive'); ?>
        <?php 
        /**
         *
         *  This template can be used also as page template.
         *  In this case we show the page content only if is a page and is page 1
         * 
         */
        if(is_page()){
            if($paged == 1){
                if ( have_posts() ) : while ( have_posts() ) : the_post();
                    the_content();                     
                endwhile; endif;
            }
        }
        ?>


        <!-- ======================= CONTENT SECTION ======================= -->
        <div id="qtcontents" class="qt-container qt-vertical-padding-l qt-archive-team">
            <div class="row">
                <?php 
                    if(is_page()){
                        /**
                         * [$args Query arguments]
                         * @var array
                         */
                        $args = array(
                            'post_type' => 'testimonial',
                            'posts_per_page' => 12,
                            'post_status' => 'publish',
                            'orderby' => array ( 'menu_order' => 'ASC', 'date' => 'DESC'),
                            'suppress_filters' => false,
                            'paged' => $paged
                        );

                        /**
                         * [$wp_query execution of the query]
                         * @var WP_Query
                         */
                        $wp_query = new WP_Query( $args );
                        if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
                             ?>
                            <div id="post-<?php the_ID(); ?>" <?php post_class( "col s12 m4 " ); ?>">
                                <?php get_template_part ( 'phpincludes/part-archive-item-testimonial' ); ?>
                            </div>
                            <?php
                        endwhile; else: ?>  
                            <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                        <?php endif;
                        wp_reset_postdata();
                    } else {
                        if ( have_posts() ) : while ( have_posts() ) : the_post();
                            setup_postdata( $post );
                             ?>
                            <div id="post-<?php the_ID(); ?>" <?php post_class( "col s12 m4 " ); ?>>
                                <?php get_template_part ( 'phpincludes/part-archive-item-testimonial' ); ?>
                            </div>
                            <?php
                        endwhile; else: ?>
                            <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                        <?php endif;
                    }
                ?>
            </div>
        </div>

        <div class="qt-pagination qt-content-primary">
            <?php get_template_part ('phpincludes/part-pagination'); ?> 
        </div>

    </div><!-- .qt-main end -->
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>