<?php
/*
Template Name: Blog Sidebar
Package: LifeCoach
Description: ARCHIVE POSTS
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/


get_header(); 
get_template_part( 'phpincludes/menu');

/**
 * [$paged current paged number]
 * @var [int]
 */
$paged = lifecoach_get_paged();
?>
    <div id="maincontent" class="qt-main">
        <!-- ======================= HEADER SECTION ======================= -->
        <?php get_template_part( 'phpincludes/part-header-caption-archive'); ?>
        <?php 
        /**
         *
         *  This template can be used also as page template.
         *  In this case we show the page content only if is a page and is page 1
         * 
         */
        if(is_singular() || is_home() || is_front_page()){
            if($paged == 1){
                if ( have_posts() ) : while ( have_posts() ) : the_post();
                    the_content();                     
                endwhile; endif;
                wp_reset_postdata();
            }
        }
        ?>

        <!-- ======================= CONTENT SECTION ======================= -->
        <div id="qtcontents" class="qt-container qt-vertical-padding-l ">
            <div class="row">
                              
                <div class="col s12 m12 l9">
                    <?php 
                    if(is_page()){
                        /**
                         * [$args Query arguments]
                         * @var array
                         */
                        $args = array(
                            'post_type' => 'post',
                            'post_status' => 'publish',
                            'suppress_filters' => false,
                            'paged' => $paged
                        );
                        /**
                         * [$wp_query execution of the query]
                         * @var WP_Query
                         */
                        $wp_query = new WP_Query( $args );
                        if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
                            $post = $wp_query->post;
                            setup_postdata( $post );
                            if(is_sticky()){
                                get_template_part (  'phpincludes/part-archive-item-post-featured' );
                            } else {
                                get_template_part (  'phpincludes/part-archive-item-post' );
                            }
                            ?>
                            <?php
                        endwhile; else: ?>
                            <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                        <?php endif;
                        wp_reset_postdata();
                    } else {
                        if ( have_posts() ) : while ( have_posts() ) : the_post();
                            setup_postdata( $post );
                            if(is_sticky()){
                                get_template_part (  'phpincludes/part-archive-item-post-featured' );
                            } else {
                                get_template_part (  'phpincludes/part-archive-item-post' );
                            }
                        endwhile; else: ?>
                            <h3><?php echo esc_attr__("Sorry, nothing here","lifecoach")?></h3>
                        <?php endif;
                    }
                    ?>
                    <hr class="qt-spacer-m">
                </div>
                <div class="qt-sidebar col s12 m12 l3">
                    <?php get_template_part( 'phpincludes/sidebar'); ?>
                </div>
            </div>
        </div>
        <div class="qt-pagination qt-content-primary">
            <?php get_template_part ('phpincludes/part-pagination'); ?> 
        </div>
    </div><!-- .qt-main end -->
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>