<?php
/*
Package: LifeCoach
Description: Comments template
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/
?>
<!-- COMMENTS PART ========================= -->
<?php
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>
<h5 class="qt-inline-textdeco"><span><?php echo esc_attr__("Comments","lifecoach"); ?></span></h5>
<div id="comments" class="comments-area comments-list qt-spacer-s">
	<?php // You can start editing here -- including this comment! ?>
	<?php if ( have_comments() ) : ?>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
			<div class="">
				<nav id="comment-nav-above" class="comment-navigation" role="navigation">
					<h3 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', "lifecoach" ); ?></h3>
					<div class="nav-previous"><?php previous_comments_link( esc_attr__( '&larr; Older Comments', "lifecoach" ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_attr__( 'Newer Comments &rarr;', "lifecoach" ) ); ?></div>
				</nav><!-- #comment-nav-above -->
			</div >
		<?php endif; // check for comment navigation ?>
			<ol class="qt-comment-list">
				<?php
				wp_list_comments( array( 'callback' => 'lifecoach_s_comment' ) );
				?>
			</ol>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
				
		<nav id="comment-nav-below" class="comment-navigation" role="navigation">
			<h3 class="qw-page-subtitle grey-text"><?php echo esc_attr__( 'Comment navigation', "lifecoach" ); ?></h3>
			<div class="nav-previous"><?php previous_comments_link( esc_attr__( '&larr; Older Comments', "lifecoach" ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( esc_attr__( 'Newer Comments &rarr;', "lifecoach" ) ); ?></div>
		</nav><!-- #comment-nav-below -->
			
		<?php endif; // check for comment navigation ?>
	<?php endif; // have_comments() ?>
	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_attr_e( 'Comments are closed.', "lifecoach" ); ?></p>
	<?php endif; ?>
	<?php
	/*
	*
	*     Custom parameters for the comment form
	*
	*/
	$required_text = esc_attr__('Required fields are marked *',"lifecoach");
	if(!isset ($consent) ) { 
		$consent = ''; 
	}
	$args = array(
		'id_form'           => 'qw-commentform',
		'id_submit'         => 'qw-submit',
		'title_reply'       => '<span class="qw-page-subtitle grey-text">'.esc_attr__( 'Leave a Reply', "lifecoach" ).'</span>',
		'title_reply_to'    => '<span class="qw-page-subtitle grey-text">'.esc_attr__( 'Leave a Reply to %s', "lifecoach" ).'</span>',
		'cancel_reply_link' => '<i class="mdi-navigation-cancel icon-l"></i>',
		'label_submit'      => esc_attr__( 'Post Comment' ,"lifecoach" ),
		'class_submit'		=> 'qt-btn qt-btn-primary',
		'comment_field' =>  '<p class="comment-form-comment"><label for="comment"></label><textarea id="comment" placeholder="'.esc_attr__('Comment*',"lifecoach").'" name="comment" cols="45" rows="8" aria-required="true">'.'</textarea></p>',
		'must_log_in' => '<p class="must-log-in">' .
			sprintf(
				esc_attr__( 'You must be <a href="%s">logged in</a> to post a comment.' , "lifecoach"),
				wp_login_url( apply_filters( 'the_permalink', esc_url(get_permalink()) ) )
			) . '</p>',
		'logged_in_as' => '<p class="logged-in-as">' .
			sprintf(
			__( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', "lifecoach" ),
				admin_url( 'profile.php' ),
				$user_identity,
				esc_url(wp_logout_url( apply_filters( 'the_permalink', esc_url(get_permalink()) ) ))
			) . '</p>',
		'comment_notes_before' => '',
		'comment_notes_after' => '<p class="comment-notes">' .
			esc_attr__( 'Your email address will not be published. ' ,"lifecoach") 
			. ( $req ? $required_text : '' ) .
			'</p>',
		'fields' => apply_filters( 'comment_form_default_fields', array(
			'author'  => '<p class="comment-form-author"><input id="author" placeholder="' . esc_attr__( 'Name', "lifecoach" ).( $req ? '*' : '' ) . '" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .'" size="30" /></p>',
			'email'   => '<input id="email" placeholder="' . esc_attr__( 'Email', "lifecoach" ).( $req ? '*' : '' ) . '" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .'" size="30" /></p>',
			'url'     => '<p class="comment-form-url"><input id="url" placeholder="'.esc_attr__( 'Website', "lifecoach" ) . '" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .'" size="30" /></p>',
			'cookies' => 	'
				
				<div class="input-field">
				<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .
				'<label for="wp-comment-cookies-consent">' . esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'kentha' ) . '</label></p>
				</div><hr class="qt-spacer-m">',
			)
		),
	);
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if (  comments_open() && post_type_supports( get_post_type(), 'comments' ) ) :?>
		
		<div id="respond" class="qt-comment-respond qt-card comment-form">
			<?php  comment_form($args); ?>
		</div>
	<?php endif; ?>

</div><!-- #comments -->
