<?php  
/**
 *	@package    lifecoach
 *	@author 	Themes2go <team@themes2go.xyz>
 *  @version 	1.2.2
 *  @textdoman 	lifecoach
 */

/**==========================================================================================
 *
 *
 *	Themes2go Warranty Notice:
 * 	Theme's support doesn't cover any code customizations. You are free to edit any theme's code at your own risk.
 *  For any customization please use the provided child theme instead of editing core files.
 *  https://codex.wordpress.org/Child_Themes
 *
 * 
 ==========================================================================================*/

/**
 *
 *	Theme version definition to prevent caching of old files
 *  =============================================
 */
if(!function_exists('lifecoach_theme_version')){
	function lifecoach_theme_version(){
		$my_theme = wp_get_theme( );
		return $my_theme->get( 'Version' );
	}
}

/**==========================================================================================
 *
 *
 *	Connector settings
 *
 * 
 ==========================================================================================*/
if ( class_exists( 'T2gConnectorClient' ) ) {
	include(get_template_directory().'/T2G-connector-client/t2gconnectorclient-config.php');
}

/**
 *
 *	TGM Plugins Activation
 * 	Automatic plugins installation
 *  =============================================
 */
require_once get_template_directory() . '/TGM-Plugin-Activation/lifecoach-plugins-activation-CONNECTOR.php';



/**==========================================================================================
 *
 *
 *	Learnpress support functions
 *
 * 
 ==========================================================================================*/
include(get_template_directory()."/learnpress-theme-support/lifecoach_lp_helpers.php");





/**
 *
 *	content_width
 *  =============================================
 */
if ( ! isset( $content_width ) ) $content_width = 1170;

/**
 *
 *	TTG CORE DATA
 * 	For custom types fields and appearance customizer
 *  =============================================
 */
if(function_exists('ttg_core_active')){

	/* types settings */
	include(get_template_directory().'/ttgcore-setup/custom-types/events/events-type.php');
	include(get_template_directory().'/ttgcore-setup/custom-types/member/member-type.php');
	include(get_template_directory().'/ttgcore-setup/custom-types/podcast/podcast-type.php');
	include(get_template_directory().'/ttgcore-setup/custom-types/sponsor/sponsor-type.php');
	include(get_template_directory().'/ttgcore-setup/custom-types/testimonial/testimonial-type.php');
	include(get_template_directory().'/ttgcore-setup/custom-types/pages-special/pages-special.php');

	/* Customizer */
	// Early exit if Kirki is not installed
	if ( class_exists( 'Kirki' ) ) {
		include(  get_template_directory().'/ttgcore-setup/customizer/kirki-configuration/sections.php' );
		include(  get_template_directory().'/ttgcore-setup/customizer/kirki-configuration/fields.php' );
		include(  get_template_directory().'/ttgcore-setup/customizer/kirki-configuration/configuration.php' ); 
	}
	
	/* Shortcode settings */
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-buttons.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-carousel.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-captions.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-eventfeatured.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-featuredlist.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-herobox.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-herolist.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-post-hero.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-post-grid.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-slideshow.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-slideshow-testimonial.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-slideshow-events.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-slideshow-events.php");
	include(get_template_directory()."/ttgcore-setup/shortcodes/short-sponsors.php");

	// Since 1.9.6
	if ( class_exists( 'LearnPress' ) ) {
		include(get_template_directory()."/ttgcore-setup/shortcodes/short-courses.php");
	}
}

/**
 *
 *	Customizations
 *  =============================================
 */
include(get_template_directory()."/phpincludes/customizations.php");

$time_start = 0;
global $time_start;
$time_start = microtime(true);


/**
 * 	CSS and Js loading
 * 	=============================================
 */
if(!function_exists('lifecoach_files_inclusion')){
function lifecoach_files_inclusion() {
	// CSS
	wp_enqueue_style( $handle = "dripicons", get_template_directory_uri().'/fonts/dripicons/webfont.css', false, lifecoach_theme_version(), "all" );
	wp_enqueue_style( $handle = "qticons", get_template_directory_uri().'/fonts/qticons/qticons.css', false, lifecoach_theme_version(), "all" );
	wp_enqueue_style( $handle = "slick", get_template_directory_uri().'/components/slick/slick.css', false, lifecoach_theme_version(), "all" );
	wp_enqueue_style( $handle = "classycountdown", get_template_directory_uri().'/components/countdown/css/jquery.classycountdown.css', false, lifecoach_theme_version(), "all" );
	wp_enqueue_style( $handle = "lifecoach_main", get_template_directory_uri().'/css/ttg-main.css', false, lifecoach_theme_version(), "all" );
	if(!function_exists('ttg_core_active')){
		wp_enqueue_style( "lifecoach_typography", get_template_directory_uri().'/css/ttg-typography.css', false, lifecoach_theme_version(), "all" );
		wp_enqueue_style( "lifecoach_colors", get_template_directory_uri().'/css/ttg-colors-static.css', false, lifecoach_theme_version(), "all" );
	}

	// $lifecoach_lp_version = lifecoach_lp_get_version();
	$lifecoach_lp_status = lifecoach_lp_status();
	if ( $lifecoach_lp_status == 2 ) {
		wp_enqueue_style( 'lifecoach_learnpress', get_template_directory_uri().'/css/ttg-learnpress-2.css',   	array( 'learn-press-style' ), lifecoach_theme_version(), "all" );
	} else if ($lifecoach_lp_status == 3){
		wp_enqueue_style( 'lifecoach_learnpress', get_template_directory_uri().'/css/ttg-learnpress-3.css',  	array( 'learn-press' ), lifecoach_theme_version(), "all" );
	} else {
		wp_enqueue_style( 'lifecoach_learnpress', get_template_directory_uri().'/css/ttg-learnpress-4.css',  	array( 'learn-press' ), lifecoach_theme_version(), "all" );
	}

	// js
	$deps = array("jquery", "imagesloaded", "masonry" );
	if(get_theme_mod("lifecoach_enable_debug", 0) == "1"){
		wp_enqueue_script( 'modernizr', get_template_directory_uri().'/js/modernizr-2.8.3-respond-1.4.2.min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'modernizr';
		wp_enqueue_script( 'materializecss', get_template_directory_uri().'/js/materializecss/bin/materialize.min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'materializecss';
		wp_enqueue_script( 'slick', get_template_directory_uri().'/components/slick/slick.min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'slick';
		wp_enqueue_script( 'skrollr', get_template_directory_uri().'/components/skrollr/skrollr.min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'skrollr';
		wp_enqueue_script( 'knob', get_template_directory_uri().'/components/countdown/js/jquery.knob.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'knob';
		wp_enqueue_script( 'throttle', get_template_directory_uri().'/components/countdown/js/jquery.throttle.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'throttle';
		wp_enqueue_script( 'classycountdown', get_template_directory_uri().'/components/countdown/js/jquery.classycountdown.min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'classycountdown';
		wp_enqueue_script( 'popupjs', get_template_directory_uri().'/components/popup/popup.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'popupjs';
		wp_enqueue_script( 'lifecoach_main', get_template_directory_uri().'/js/ttg-main.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'lifecoach_main';
	} else {
		wp_enqueue_script( 'lifecoach_main', get_template_directory_uri().'/js/min/ttg-main-min.js', $deps, lifecoach_theme_version(), true ); $deps[] = 'lifecoach_main';
	}

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}}
add_action( 'wp_enqueue_scripts', 'lifecoach_files_inclusion' );



/**
 * 	Admin CSS and Js loading
 * 	=============================================
 */
if(!function_exists('lifecoach_admin_files_inclusion')){
function lifecoach_admin_files_inclusion() {
	wp_enqueue_style( $handle = "lifecoach_admin_styles", get_template_directory_uri().'/css/ttg-admin-styles.css', false, lifecoach_theme_version(), "all" );
}}
add_action( 'admin_enqueue_scripts', 'lifecoach_admin_files_inclusion' );



/*
*
*	Setup 
* 	=============================================
*/
if ( ! function_exists( 'lifecoach_setup' ) ) {
function lifecoach_setup() {
	load_theme_textdomain( "lifecoach", get_template_directory() . '/languages' );
	
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'editor_style');
	add_theme_support( 'lifecoach' );

	/* = We have to add the required images sizes
	==============================================*/
	set_post_thumbnail_size( 200, 110, true );
	add_image_size( 'lifecoach-xl', 2560, 1440, true );
	add_image_size( 'lifecoach-full', 1600, 700, true );
	add_image_size( 'lifecoach-large', 1170, 512, true );
	add_image_size( 'lifecoach-medium', 690, 302, true );
	add_image_size( 'lifecoach-squared', 690, 690, true );
	add_image_size( 'lifecoach-thumb', 100, 44, true );
	add_image_size( 'lifecoach-thumb-squared', 170, 170, true );

	/* = Some post formats support
	==============================================*/
	add_theme_support( 'post-formats', array( 'gallery', 'audio', 'video' ) );
	add_theme_support( 'woocommerce' );

	/* = Register the menu after_menu_locations_table
	==============================================*/
	register_nav_menus( array(
		'lifecoach_menu_primary' => esc_attr__( 'Primary Menu', "lifecoach" ),
	));
	register_nav_menus( array(
		'lifecoach_menu_secondary' => esc_attr__( 'Secondary Menu', "lifecoach" ),
	));
	register_nav_menus( array(
		'lifecoach_menu_footer' => esc_attr__( 'Footer Menu', "lifecoach" ),
	));
}}
add_action( 'after_setup_theme', 'lifecoach_setup' );


/**
 *  Create the proper date formatted text
 * 	=============================================
 */
if(!function_exists('lifecoach_international_date')) {
function lifecoach_international_date(){
    the_time( get_option( "date_format", "d M Y" ), '', '', true );
}}



/**
 * Template for comments and pingbacks.
 * 	=============================================
 * Used as a callback by wp_list_comments() for displaying the comments.
 */
if ( ! function_exists( 'lifecoach_s_comment' ) ) :
function lifecoach_s_comment( $comment, $args, $depth ) {
	if ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
		<div class="comment-body">
			<div class="row">
				<div class="col s2">
					<div class="qw-comment-image">
						<span class="qticon-earth qticons-big qw-user-icon"></span>
					</div>
				</div>
				<div class="col s10">
					<p class="qw-commentheader qw-small qw-caps">
						<?php esc_attr_e( 'Pingback:', "lifecoach" ); ?> <?php edit_comment_link( '<i class="glyphicon  glyphicon-pencil"></i>', '<span class="edit-link">', '</span>' ); ?>
					</p>
					<div class="comment-text">
					 	<?php comment_author_link(); ?> 
					</div>
				</div>
			</div>
		</div>
	<?php else : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
		<article id="div-comment-<?php comment_ID(); ?>" class="comment-body  qt-vertical-padding-s">
			<div class="row">
				<div class="col m1 hide-on-small-only">
					<div class="qw-comment-image">
						<?php 
							$avatar = get_avatar( $comment, $args['avatar_size'] );
							if ( 0 != $args['avatar_size'] && $avatar != '' ){
						 		echo get_avatar( $comment, $args['avatar_size'] );
						 	}else{
						 		?><i class="fa fa-user"></i><?php
						 	}
						?>
					</div>
				</div>
				<div class="col s12 m11">
					<div class="comment-content">
						<h4 class="qt-commentheader qt-capfont">
							<?php printf( esc_attr__( '%s &nbsp; On &nbsp;', "lifecoach" ), sprintf( '%s', get_comment_author_link() ) ); ?>
							<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
								<?php printf( _x( '%1$s at %2$s', '1: date, 2: time', "lifecoach" ), get_comment_date(), get_comment_time() ); ?>
							</a>
							<?php edit_comment_link( '<i class="glyphicon  glyphicon-pencil"></i>', '<span class="edit-link">', '</span>' ); ?>
						</h4>

						<?php if ( '0' == $comment->comment_approved ) : ?>
						<p class="comment-awaiting-moderation"><?php echo esc_attr__( 'Your comment is awaiting moderation.', "lifecoach" ); ?></p>
						<?php endif; ?>
						<div class="comment-text qt-content">
							<?php comment_text(); ?>							
						</div>
						<?php
						comment_reply_link( array_merge( $args, array(
							'add_below' => 'div-comment',
							'depth'     => $depth,
							'max_depth' => $args['max_depth'],
							'before'    => '<div class="reply">',
							'after'     => '</div>',
						) ) );
						?>
					</div><!-- .comment-content -->
				</div>
			</div>			
		</article><!-- .comment-body -->
	<?php
	/* Yes, the LI is open and is correct in this way. */
	endif;
}
endif; // ends check for lifecoach_s_comment()

/**
 * 	Edit the class of comment reply button
 * 	=============================================
 */
add_filter('comment_reply_link', 'qantumthemes_replace_reply_link_class');
if(!function_exists('qantumthemes_replace_reply_link_class')){
function qantumthemes_replace_reply_link_class($class){
    $class = str_replace("class='comment-reply-link", 'class="comment-reply-link qt-btn qt-btn-s qt-btn-secondary waves-effect"', $class);
    return $class;
}}

/**
 * 
 * 	Register sidebars
 * 	=============================================
 */
if(!function_exists('lifecoach_widgets_init')){
function lifecoach_widgets_init() {

	register_sidebar( array(
		'name'          => esc_attr__( 'Right Sidebar', "lifecoach" ),
		'id'            => 'lifecoach-right-sidebar',
		'before_widget' => '<aside id="%1$s" class="col s12 m3 l12 qt-widget qt-content-aside %2$s">',
		'before_title'  => '<h5 class="qt-widget-title qt-inline-textdeco"><span>',
		'after_title'   => '</span></h5>',
		'after_widget'  => '</aside>'
		
	));
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer Sidebar', "lifecoach" ),
		'id'            => 'lifecoach-footersidebar',
		'before_widget' => '<aside id="%1$s" class="qt-widget col s12 m3 l3 qt-ms-item %2$s">',
		'before_title'  => '<h5 class="qt-widget-title qt-inline-textdeco"><span>',
		'after_title'   => '</span></h5>',
		'after_widget'  => '</aside>'
		
	));
	register_sidebar( array(
		'name'          => esc_attr__( 'Off Canvas Sidebar', "lifecoach" ),
		'id'            => 'lifecoach-offcanvassidebar',
		'before_widget' => '<aside id="%1$s" class="qt-widget col s12 m3 l3 qt-ms-item %2$s">',
		'before_title'  => '<h5 class="qt-widget-title qt-inline-textdeco"><span>',
		'after_title'   => '</span></h5>',
		'after_widget'  => '</aside>'
	));
}}
add_action( 'widgets_init', 'lifecoach_widgets_init' );


/*
*
*	Gets the taxonomy associated with any post type for other queries
* 	=============================================
*/
if(!function_exists('lifecoach_get_type_taxonomy')){
function lifecoach_get_type_taxonomy($posttype){
	$taxonomy = 'category';
	if($posttype != ''){
		switch($posttype){
			case "chart":
				$taxonomy = 'chartcategory';
				break;
			case "event":
				$taxonomy = 'eventtype';
				break;
			case "members":
				$taxonomy = 'membertype';
				break;
			case "podcast":
				$taxonomy = 'podcastfilter';
				break;
			case "schedule":
				$taxonomy = 'schedulefilter';
				break;
			case "radio":
				$taxonomy = 'channeltype';
				break;
		}
	}
	return $taxonomy;
}}


/* Display the comments and likes of a post in archives
=============================================*/
if(!function_exists("lifecoach_item_counters")){
function lifecoach_item_counters ($id = false, $comments = false  ) { // you can hide comments count setting "false" the first parameter
	if(false === $id){
		return;
	}
	if(true === $comments){
		if ( comments_open() && '0' != get_comments_number() ){ 
			$comments_count = wp_count_comments( $id );
			echo esc_attr(wp_count_comments( $id )->approved); ?><i class="dripicons-message"></i><?php 
		}
	}
	if(function_exists('qtli_loveit_count')){
		$loves = qtli_loveit_count( $id );
		if(function_exists('qtli_post_like') && $loves > 0) { 
			echo esc_attr(qtli_loveit_count( $id )); ?><i class="dripicons-heart"></i><?php  
		} 
	}
}}


/* Icon by post format
=============================================*/
if ( ! function_exists( 'lifecoach_format_icon_class' ) ) {
function lifecoach_format_icon_class ( $id = false) {
	if ( false === $id ) {
	    return;
	} else {
		$format = get_post_format( $id );
		if ( false === $format ) {
		    $format = 'post';
		}
		switch ($format){
		    case "video":
		     	echo 'dripicons-media-play';
		        break;
		    case "audio":
		     	echo 'dripicons-music';
		        break;
		    case "gallery":
		       	echo 'dripicons-camera';
		        break;
		    case "image":
		    	echo 'dripicons-camera';
		        break;
		    case "link":
		    	echo 'dripicons-link';
		    	break;
		    case "chat":
		    	echo 'dripicons-conversation';
		    	break;
		    case "post": 
		    case "aside":
		    case "quote":
		    default:
		    	echo 'dripicons-align-justify';
		    break;
		}
	}
}}


/**
 * 
 * 	Get current page. 
 *  Role: Fix for using archives as home page
 *  =============================================
 */
if(!function_exists('lifecoach_get_paged')){
function lifecoach_get_paged() {
	if ( get_query_var('paged') ) {
		$paged = get_query_var('paged');
	} elseif ( get_query_var('page') ) {
		$paged = get_query_var('page');
	} else {  $paged = 1; }
	return intval($paged);
}}


/**
 * 
 * 	Pagination
 *  Role: Function to add special pagination template
 * 	=============================================
 */
if(!function_exists('lifecoach_page_navi')){
function lifecoach_page_navi($wp_query) {
	$request = $wp_query->request;
	$posts_per_page = intval(get_query_var('posts_per_page'));
	$paged = lifecoach_get_paged();
	$numposts = $wp_query->found_posts;
	$max_page = $wp_query->max_num_pages;
	if(empty($paged) || $paged == 0) {
		$paged = 1;
	}
	$pages_to_show = 7;
	$pages_to_show_minus_1 = $pages_to_show-1;
	$half_page_start = floor($pages_to_show_minus_1/2);
	$half_page_end = ceil($pages_to_show_minus_1/2);
	$start_page = $paged - $half_page_start;
	if($start_page <= 0) {
		$start_page = 1;
	}
	$end_page = $paged + $half_page_end;
	if(($end_page - $start_page) != $pages_to_show_minus_1) {
		$end_page = $start_page + $pages_to_show_minus_1;
	}
	if($end_page > $max_page) {
		$start_page = $max_page - $pages_to_show_minus_1;
		$end_page = $max_page;
	}
	if($start_page <= 0) {
		$start_page = 1;
	}
	if ($paged > 1) { ?>
		<li class="special waves-effect"><a href="<?php echo get_pagenum_link(); ?>" class="qt-btn qt-btn-l qt-btn-primary"><i class="dripicons-arrow-thin-left"></i></a></li>
	<?php } 

	if ($paged < $max_page) { 
	?>
		<li class="special waves-effect"><a href="<?php echo get_pagenum_link($paged+1); ?>" class="qt-btn qt-btn-l qt-btn-primary"><i class="dripicons-arrow-thin-right"></i></a></li>
	<?php 
	}

	for($i = $start_page; $i  <= $end_page; $i++) {
		if($i == $paged) {
			echo '<li class="active item waves-effect hide-on-large-and-down"><a href="#" class="maincolor-text">'.esc_attr($i).'</a></li>';
		} else {
			echo '<li class="item waves-effect hide-on-large-and-down"><a href="'.esc_url(get_pagenum_link($i)).'">'.esc_attr($i).'</a></li>';
		}
	}
}}



/**
 * 	Customize number of posts depending on the archive post type
 * 	=============================================
 */
if(!function_exists('lifecoach_custom_number_of_posts')){
function lifecoach_custom_number_of_posts( $query ) {
	$query->set( 'suppress_filters',false ); // for wpml
	if($query->is_main_query() && !is_admin()){
		
	    if ( $query->is_post_type_archive( 'podcast' ) 
	        || $query->is_post_type_archive('chart')
	        || $query->is_post_type_archive('event')
	        || $query->is_post_type_archive('shows')
	        || $query->is_post_type_archive('qtvideo')
	        || $query->is_post_type_archive('members')
	       
	        || $query->is_tax('membertype')
	        || $query->is_tax('podcastfilter')
	        || $query->is_tax('chartcategory')
	        || $query->is_tax('eventtype')
	        || $query->is_tax('genre')
	        || $query->is_tax('vdl_filters')
	        
	        //Since 2.1.4
	        || $query->is_tax('testimonial-category')
	        || $query->is_post_type_archive('testimonial')


	        // learnpress
	        || $query->is_post_type_archive('lp_course')
	        || $query->is_tax('course_category')
	    ) {
	        $query->set( 'posts_per_page','9' );
	    	if ( $query->is_post_type_archive( 'qtvideo' ) || $query->is_tax('vdl_filters')){
    			$query->set( 'orderby', array ('menu_order' => 'ASC', 'date' => 'DESC'));
    			$query->set( 'posts_per_page','9' );
	    	}
	    	if ( $query->is_post_type_archive( 'shows' ) || $query->is_tax('genre')){
    			$query->set( 'orderby', array ('menu_order' => 'ASC', 'date' => 'DESC'));
    			$query->set( 'posts_per_page','9' );
	    	}
	    	if ( $query->is_post_type_archive( 'members' ) || $query->is_tax('membertype')){
    			$query->set( 'orderby', array ('menu_order' => 'ASC', 'date' => 'DESC'));
    			$query->set( 'posts_per_page','12' );
	    	}
			if ( $query->is_post_type_archive( 'podcast' ) || $query->is_tax('podcastfilter')){
				$query->set( 'orderby', array ('menu_order' => 'ASC', 'date' => 'DESC'));
	    		$query->set( 'posts_per_page','12' );
	    		$query->set( 'order','DESC' );
	    	}
	    	if ( $query->is_post_type_archive( 'testimonial' ) || $query->is_tax('testimonial-category')){
				$query->set( 'orderby', array ('menu_order' => 'ASC', 'date' => 'DESC'));
	    		$query->set( 'posts_per_page','12' );
	    		$query->set( 'order','DESC' );
	    	}
	    	if ( $query->is_post_type_archive( 'chart' ) || $query->is_tax('chartcategory')){
	    		$query->set( 'posts_per_page','6' );
    			$query->set( 'orderby', array ( 'meta_value' => 'DESC', 'date' => 'DESC'));
	    	}
	    	if($query->is_post_type_archive('event') || $query->is_tax('eventtype')) {
    			$query->set( 'posts_per_page','4' );
    			$query->set( 'meta_key', 'eventdate' );
    			$query->set( 'orderby', 'meta_value' );
    			$query->set( 'order', 'ASC' );
    			if ( get_theme_mod ( 'lifecoach_events_hideold', 0 ) == '1'){
		    		$query->set ( 
		    			'meta_query' , array (
			            array (
			                'key' => 'eventdate',
			                'value' => date('Y-m-d'),
			                'compare' => '>=',
			                'type' => 'date'
			                 )
			          	)
			        );
		    	}
	    	}


	    	if ( $query->is_post_type_archive( 'lp_course' ) || $query->is_tax('course_category')){
    			$query->set( 'posts_per_page','9' );
	    	}
	        return;
	    }
	}
}}
add_action( 'pre_get_posts', 'lifecoach_custom_number_of_posts', 1 );


/* Excerpt length
=============================================*/
if(!function_exists('lifecoach_excerpt_length')){
function lifecoach_excerpt_length( $length ) {
	return 27;
}}

/* Visual composer extension
=============================================*/
if(defined( 'WPB_VC_VERSION' )){
	add_action( 'vc_after_init', 'lifecoach_vc_after_init_actions' );
	function lifecoach_vc_after_init_actions() {
		if(defined( 'WPB_VC_VERSION' )){
			wp_enqueue_script( 'wpb_composer_front_js' );
			wp_enqueue_style( 'js_composer_front' );
			vc_disable_frontend();
		}

	    /**
	     * Adding theme custom parameters
	     */
	    if( function_exists('vc_add_param') ){ 
			vc_add_param(
				"vc_row", 
				array(
				   	'type' => 'checkbox',
				   	'weight' => 1,
				   	'heading' => esc_html__( 'Negative colors', "lifecoach" ),
				   	'param_name' => 'qt_negative',
				   	'description' => esc_html__( "Captions and texts uses negative colors", "lifecoach" )
				)
			);
			vc_remove_param( "vc_row", "parallax_speed_bg" );
			vc_add_param(
				"vc_row", 
				array(
				   	'type' => 'checkbox',
				   	'weight' => 1,
				   	'heading' => esc_html__( 'Add container', "lifecoach" ),
				   	'param_name' => 'qt_container',
				   	'description' => esc_html__( "Add a container box to the content to limit width", "lifecoach" )
				)
			);
			vc_add_param(
				"vc_row_inner", 
				array(
				   	'type' => 'checkbox',
				   	'weight' => 1,
				   	'heading' => esc_html__( 'Add container', "lifecoach" ),
				   	'param_name' => 'qt_container',
				   	'description' => esc_html__( "Add a container box to the content to limit width", "lifecoach" )
				)
			);
	    }
	}
}


/* Add user agent to body for css classes fix
=============================================*/
if ( ! function_exists( 'lifecoach_class_names' ) ) {
function lifecoach_class_names($classes) {
	
	/* Custom qantumthemes classes for the theme */
	$classes[] = "qt-body";
	if(is_singular()) {
		$classes[] = "template-".esc_attr ( get_page_template_slug ( get_the_ID() ) );
	} else {
		$classes[] =  "template-archive";
	}
	$classes[] =  ( get_theme_mod( 'qt_sticky_menu', 0 ) ) ? "qt-sticky" : "" ;
	if(get_theme_mod("lifecoach_enable_debug", 0)){
		$classes[] = 'lifecoach-debug';
	}

	$classes[] = get_theme_mod("lifecoach_cardsfx", "qt-cardsfx-00");

	$lifecoach_lp_status = lifecoach_lp_status();
	if ( $lifecoach_lp_status == 2 ) {
		$classes[] = 'qt-learnpress-body-2';
	} else if ($lifecoach_lp_status == 3){
		$classes[] = 'qt-learnpress-body-3';
	}
	
	return $classes;
}}

add_filter('body_class','lifecoach_class_names');


/* Content nav template tag
=============================================*/
if ( ! function_exists( 'lifecoach_content_nav' ) ) :
function lifecoach_content_nav( $nav_id ) {
	global $wp_query, $post;

	// Don't print empty markup on single pages if there's nowhere to navigate.
	if ( is_single() ) {
		$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
		$next = get_adjacent_post( false, '', false );

		if ( ! $next && ! $previous )
			return;
	}

	// Don't print empty markup in archives if there's only one page.
	if ( $wp_query->max_num_pages < 2 && ( is_home() || is_archive() || is_search() ) )
		return;

	$nav_class = ( is_single() ) ? 'post-navigation' : 'paging-navigation';

	?>
	<div class="qw-padded qw-glassbg">
		<nav role="navigation" id="<?php echo esc_attr( $nav_id ); ?>" class="<?php echo esc_attr($nav_class); ?> ">

		<?php if ( is_single() ) : // navigation links for single posts ?>

			<?php previous_post_link( '<div class="nav-previous">%link</div>', '<span class="meta-nav">' . _x( '<span class="qticon-arrow-left"></span>', 'Previous post link', "lifecoach" ) . '</span> %title' ); ?>
			<?php next_post_link( '<div class="nav-next">%link</div>', '%title <span class="meta-nav">' . _x( '<span class="qticon-arrow-right"></span>', 'Next post link', "lifecoach" ) . '</span>' ); ?>

		<?php elseif ( $wp_query->max_num_pages > 1 && ( is_home() || is_archive() || is_search() ) ) : // navigation links for home, archive, and search pages ?>

			<?php if ( get_next_posts_link() ) : ?>
			<div class="nav-previous"><?php next_posts_link( __( '<span class="qticon-arrow-left"></span> Older posts', "lifecoach" ) ); ?></div>
			<?php endif; ?>

			<?php if ( get_previous_posts_link() ) : ?>
			<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="qticon-arrow-right"></span>', "lifecoach" ) ); ?></div>
			<?php endif; ?>

		<?php endif; ?>
		<div class="canc"></div>
		</nav><!-- #<?php echo esc_html( $nav_id ); ?> -->

	</div>
	<?php
}
endif; // qantumthemes_content_nav


/* Add editory typo styling
=============================================*/
add_action( 'init', 'lifecoach_add_editor_styles' );
if ( ! function_exists( 'lifecoach_add_editor_styles' ) ) {
function lifecoach_add_editor_styles() {
    add_editor_style( get_template_directory_uri().'/css/ttg-editor.css' );
}}

/* Password protected formatting
=============================================*/
if ( ! function_exists( 'lifecoach_custom_password_form' ) ) {
function lifecoach_custom_password_form() {
	$id = get_the_ID();
	if(!is_numeric($id)){
		$id = rand();
	}

    $label = 'pwbox-'.$id;
    $o = '<form class="form" action="' .  esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post">
    ' . esc_attr__( "This post is password protected. Please insert the password to proceed", "lifecoach" ) . '
    <label class="pass-label" for="' . $label . '">' . esc_attr__( "Password:", "lifecoach" ) . ' </label><input name="post_password" id="' . $label . '" type="password" />
    <input type="submit" name="Submit" class="qt-btn qt-btn-primary" value="' . esc_attr__( "Submit", "lifecoach" ) . '" />
    </form>
    ';
    return $o;
}}
add_filter( 'the_password_form', 'lifecoach_custom_password_form' );



/* Get universal page id
=============================================*/
if ( ! function_exists( 'lifecoach_universal_page_id' ) ) {
function lifecoach_universal_page_id() {
	$pageid = get_the_ID();
	if(function_exists('is_shop') && function_exists('is_checkout') && function_exists('is_account_page') && function_exists('is_wc_endpoint_url')){
		if(is_shop()){
			$pageid = get_option( 'woocommerce_shop_page_id' ); 
		} elseif (is_cart()){
			$pageid = get_option( 'woocommerce_cart_page_id' ); 
		}elseif (is_checkout()){
			$pageid = get_option( 'woocommerce_checkout_page_id' ); 
		}elseif (is_account_page()){
			$pageid = get_option( 'woocommerce_myaccount_page_id' ); 
		}elseif (is_wc_endpoint_url( 'order-pay' )){
			$pageid = get_option( 'woocommerce_pay_page_id' ); 
		}elseif (is_wc_endpoint_url( 'order-received' )){
			$pageid = get_option( 'woocommerce_thanks_page_id' ); 
		}elseif (is_wc_endpoint_url( 'view-order' ) ){
			$pageid = get_option( 'woocommerce_view_order_page_id' ); 
		}elseif (is_wc_endpoint_url( 'edit-account' ) ){
			$pageid = get_option( 'woocommerce_myaccount_page_id' ); 
		}elseif (is_wc_endpoint_url( 'edit-address' )){
			$pageid = get_option( 'woocommerce_edit_address_page_id' ); 
		}elseif (is_wc_endpoint_url( 'lost-password' )){
			$pageid = get_option( 'woocommerce_checkout_page_id' ); 
		}elseif (is_wc_endpoint_url( 'customer-logout' )){
			$pageid = get_option( 'woocommerce_checkout_page_id' ); 
		}elseif (is_wc_endpoint_url( 'add-payment-method' )){
			$pageid = get_option( 'woocommerce_shop_page_id' ); 
		}
	}
	return $pageid;
}}


/* Get universal header size
=============================================*/
if ( ! function_exists( 'lifecoach_get_universal_header_size' ) ) {
function lifecoach_get_universal_header_size() {
	$pageid = lifecoach_universal_page_id();
	$header_size = get_theme_mod("lifecoach_header_size", "");
	// WooCommerce Pages Only
	if( function_exists("is_woocommerce") ) {
		$page_template = get_page_template_slug( get_queried_object_id() );
		if($page_template == 'page-woocommerce.php' || is_woocommerce()){
			$header_size =  get_theme_mod("lifecoach_woocommerce_header_size", 'qt-header-short');
		}
	}
	$is_shop = false;
	if(function_exists('is_shop')){
		if (is_shop()){
			$is_shop = is_shop();
		}

	}
	if(function_exists('is_product')){
		if (is_product()){
			$is_shop = is_shop();
		}
	}
	if(is_page() || is_single() || is_singular() || $is_shop){
		$header_size_page_value = get_post_meta( $pageid, "lifecoach_page_header_size", true ) ;
		if( $header_size_page_value !== "" ){
			$header_size = $header_size_page_value;
		}
	}
	return $header_size;
}}


/* Get universal header transparency
=============================================*/
if ( ! function_exists( 'lifecoach_get_universal_header_transparency' ) ) {
function lifecoach_get_universal_header_transparency() {
	$pageid = lifecoach_universal_page_id();
	$header_transparency = false;
	if( (get_theme_mod("lifecoach_header_transparent") == "1" || get_post_meta($pageid,"lifecoach_header_transparent", true) == "1" ) ){
		if(get_post_meta($pageid,"lifecoach_header_transparent", true) !== "0") {
			$header_transparency = "qt-header-transparent";
		}
	}
	if(is_search()){
		$header_transparency = false;
	}
	return $header_transparency;
}}



/**==========================================================================================
 *
 *
 *	WooCommerce settings
 *
 * 
 ==========================================================================================*/
if ( class_exists( 'WooCommerce' ) ) {
	/* WooCommerce remove default title filter
	=============================================*/
	if(!function_exists('lifecoach_wc_show_page_title')){
		function lifecoach_wc_show_page_title(){ 
			return false; 
		}
	}
	add_filter( 'woocommerce_show_page_title', 'lifecoach_wc_show_page_title' );

	/* WooCommerce products per row
	=============================================*/
	add_filter('loop_shop_columns', 'lifecoach_loop_columns');
	if (!function_exists('lifecoach_loop_columns')) {
		function lifecoach_loop_columns() {
			return 3; // 3 products per row
		}
	}

	/* WooCommerce products per page related
	=============================================*/
	add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 12;' ), 20 );
	add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
	  function jk_related_products_args( $args ) {
		$args['posts_per_page'] = 3; // 4 related products
		return $args;
	}

	/* Append Woocommerce Classes for the theme
	=============================================*/
	if ( ! function_exists( 'lifecoach_class_names_append_woo_classes' ) ) {
	function lifecoach_class_names_append_woo_classes($classes){
		if ( class_exists( 'lifecoach' ) ) {
			$classes[] = ' woocommerce woomanual ';
		};
		return $classes;
	}}
	add_filter('body_class', 'lifecoach_class_names_append_woo_classes');

	/* WooCommerce cart update
	=============================================*/
	add_filter( 'woocommerce_add_to_cart_fragments', 'lifecoach_woocommerce_header_add_to_cart_fragment' );
	if(!function_exists('lifecoach_woocommerce_header_add_to_cart_fragment')){
	function lifecoach_woocommerce_header_add_to_cart_fragment( $fragments ) {
		ob_start();
		?>
		<a href="<?php echo WC()->cart->get_cart_url(); ?>" data-expandable="#qtcartbar" class="qt-cartcontents qt-btn qt-btn-ghost waves-effect" title="<?php _e( 'View your shopping cart', 'lifecoach'); ?>"> 
			<?php echo WC()->cart->get_cart_total(); ?> <i class="dripicons-cart"></i> 
		</a> 
		<?php
		$fragments['a.qt-cartcontents'] = ob_get_clean();
		return $fragments;
	}}

	/* WooCommerce thumbnail settings
	=============================================*/
	if(!function_exists('lifecoach_woocommerce_image_dimensions')){
	function lifecoach_woocommerce_image_dimensions() {
		global $pagenow;
		if ( ! isset( $_GET['activated'] ) || $pagenow != 'themes.php' ) {
			return;
		}
	  	$catalog = array(
			'width' 	=> '400',	// px
			'height'	=> '400',	// px
			'crop'		=> 1 		// true
		);
		$single = array(
			'width' 	=> '690',	// px
			'height'	=> '690',	// px
			'crop'		=> 1 		// true
		);
		$thumbnail = array(
			'width' 	=> '170',	// px
			'height'	=> '170',	// px
			'crop'		=> 1 		// false
		);
		// Image sizes
		update_option( 'shop_catalog_image_size', $catalog ); 		// Product category thumbs
		update_option( 'shop_single_image_size', $single ); 		// Single product image
		update_option( 'shop_thumbnail_image_size', $thumbnail ); 	// Image gallery thumbs
	}}
	add_action( 'after_switch_theme', 'lifecoach_woocommerce_image_dimensions', 1 );

	function get_product_search_form(){
		?>
		<form role="search" method="get" class="woocommerce-product-search qt-spacer-s" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
			<div class="qt-search-inline">
				<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'lifecoach' ); ?></label>
				<input type="text" class="search-field  qt-input-m" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'lifecoach' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'lifecoach' ); ?>" />
	
				<button class="btn waves-effect qt-btn qt-btn-m qt-btn-primary waves-light" type="submit" name="action">
				    <i class="dripicons-search"></i>
				</button>
				<input type="hidden" name="post_type" value="product" />
			</div>
		</form>
		<?php
	}
}



/**
 * Wp 4.9 patch for tempalte files
 */
if( ! defined( 'ABSPATH' ) ) exit;
if( !class_exists( 'bs_clear_template' ) ) {
	class bs_clear_template {
		function __construct() {
			add_action( 'admin_init', array( $this, 'plugin_setup' ), 10 );
		}
		
		function plugin_setup() {
			add_action( 'admin_bar_menu', array($this, 'add_cache_button'), 999 );
			add_action( 'admin_footer', array($this, 'output_button_script') );
			add_action( 'wp_ajax_bs_bust_file_cache', array( $this, 'handle_cache_bust' ) );
		}
		
		function handle_cache_bust() {
			check_ajax_referer( 'handle_cache_bust', 'nonce' );
			
			global $wpdb;
			$wpdb->query( "DELETE FROM <code>$wpdb->options</code> WHERE <code>option_name</code> LIKE '_transient_files_%' LIMIT 1" );
			
			wp_die();
		}
		
		function output_button_script() {
			echo '
			<script>
			jQuery(function($) {
				$("#wp-admin-bar-bust_file_cache>a").on("click", function(e) {
					e.preventDefault();
					
					$(this).text("Please wait...");
					$.post(ajaxurl, {"action": "bs_bust_file_cache", "nonce": $(this).attr("href").replace("#", "")}, function() {
						window.location.reload();
					});
				});
			});
			</script>';
		}
		
		function add_cache_button( $wp_admin_bar ) {
			if( is_admin() ) {
				$nonce = wp_create_nonce( 'handle_cache_bust' );
				$wp_admin_bar->add_node( array(
					'id'		=>	'bust_file_cache',
					'title'		=>	'Clear File Cache',
					'href'		=>	'#' . $nonce,
				) );
			}
		}
	}
	
	new bs_clear_template();
}


/* Disable SPAN wrapper for CF7
=============================================*/
add_filter('wpcf7_form_elements', function($content) {
    $content = preg_replace('/<(span).*?class="\s*(?:.*\s)?wpcf7-form-control-wrap(?:\s[^"]+)?\s*"[^\>]*>(.*)<\/\1>/i', '\2', $content);
    return $content;
});


