<?php
/**
 * @package WordPress
 * @subpackage LifeCoach
 * @subpackage LearnPress support
 */




/**
 * ==========================================================================================
 *
 *
 * Returns current plugin version.
 * @return string Plugin version
 *
 * 
 * ==========================================================================================*/

if(!function_exists('lifecoach_lp_get_version')){
function lifecoach_lp_get_version() {
	
	// Check if get_plugins() function exists. This is required on the front end of the
	// site, since it is in a file that is normally only loaded in the admin.
	if ( ! function_exists( 'get_plugins' ) ) {
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
	}
	$the_plugs = get_option('active_plugins');
	$plugin_base_name = 'learnpress/learnpress.php';

	// if is active check version
	if(in_array($plugin_base_name, $the_plugs)) {
		$all_plugins = get_plugins();		
		$lp_name = 'learnpress/learnpress.php';

		// echo '<pre>';
		// print_r($all_plugins);
		// echo '</pre>';

		if(array_key_exists($lp_name, $all_plugins)){

			return $all_plugins[$lp_name]['Version'];
		}
	}
	// or return 0 means no learnpress
	return 0;
}}


/**
 * ==========================================================================================
 *
 *
 * Returns learnpress status
 * @return integer
 * 0 = inactive
 * 1 = version < 2
 * 2 = version < 3
 * 3 = version < 3
 *
 * 
 * ==========================================================================================*/

if(!function_exists('lifecoach_lp_status')){
function lifecoach_lp_status() {
	$v = lifecoach_lp_get_version();
	$s = 0;
	if( $v > '0'){
		$s = 0; // plugin inactive
	}
	if( $v > '1'){
		$s = 1; // obsolete
	}
	if( $v > '2'){
		$s = 2; // obsolete but supported
	}
	if( $v > '3'){
		$s = 3; // latest
	}
	return $s;
}}