<?php
/*
Package: LifeCoach
Description: Post item normal
Version: 5.0.0
Author: Themes2Go
Author URI: http://themes2go.xyz
 * @version 3.0.0
*/


$postType = get_post_type_object(get_post_type());
$postTypeName = $postType->labels->singular_name;

?>
<!-- COURSE ITEM ========================= -->
<div class="qt-part-archive-item col s12 m4">
	<div class="qt-item-header">
		<div class="qt-header-top">
			<ul class="qt-tags">
				<li><a href="<?php the_permalink(); ?>" class="qt-content-primary-dark"><?php echo esc_attr($postTypeName); ?></a></li>
				<?php  
				/**
				 * [$category Array of categories]
				 * @var [array]
				 * We want only the first category
				 */

				echo get_the_term_list( $post->ID, 'course_category', '<li>', '</li><li>', '</li>' ); 
				?>
			</ul>
	    </div>
		<div class="qt-header-mid">
			<div class="qt-captions-container qt-decor-side qt-s">
				<p class="qt-author"><?php the_author_posts_link();  ?></p>
		  		<h4 class="qt-title"><a href="<?php the_permalink(); ?>" class="qt-text-shadow"><?php the_title(); ?></a></h4>
			</div>
		</div>
		<?php if (has_post_thumbnail()){ ?>
        <div class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url( 'lifecoach-large' ); ?>">
            <?php the_post_thumbnail( 'lifecoach-large' ); ?>
        </div>
     	<?php } ?>
     	<a href="<?php the_permalink(); ?>" class="qt-cardfx-hover"><i class="<?php lifecoach_format_icon_class($post->ID); ?>"></i></a>
	</div>

	<div class="qt-item-content qt-card qt-the-content">
		<?php  
		$course = LP()->global['course'];
		if ( $price_html = $course->get_price_html() ) : ?>

			<span class="course-price"><?php echo $price_html; ?></span>&nbsp;-
			<?php 
			if ( $course->get_origin_price() != $course->get_price() ) {
				$origin_price_html = $course->get_origin_price_html();
				?>
			<span class="course-origin-price"><?php echo $origin_price_html; ?></span>&nbsp;-
				<?php
			}
			?>
		<?php endif; ?><?php echo $course->get_students_html(); ?>
		<p class="qt-spacer-s"><a href="<?php the_permalink(); ?>" class="qt-btn qt-btn-primary qt-btn-s waves-effect"><i class="<?php lifecoach_format_icon_class($post->ID); ?>"></i> <?php echo esc_attr__("Enroll", "lifecoach"); ?></a></p>
	</div>
</div>
<!-- COURSE ITEM END ========================= -->
