<?php
/**
 * Form for editing basic information of user in profile page
 *
 * @author  ThimPress
 * @version 2.1.1
 * @package LearnPress/Templates
 */

defined( 'ABSPATH' ) || exit;
?>

<ul class="lp-form-field-wrap form">
	<?php do_action( 'learn_press_before_' . $section . '_edit_fields' ); ?>

	<div class="input-field">
		 <textarea id="description" class="materialize-textarea" rows="5" cols="30"><?php esc_html_e( $user_info->description ); ?></textarea>
          <label for="description"><?php _e( 'Biographical Info', 'learnpress' ); ?></label>
	</div>

	<div class="input-field">
		<input type="text" name="first_name" id="first_name" value="<?php echo esc_attr( $first_name ); ?>" class="regular-text">
        <label for="first_name"><?php _e( 'First Name', 'learnpress' ); ?></label>
	</div>

	<div class="input-field">
		<input type="text" name="last_name" id="last_name" value="<?php echo esc_attr( $last_name ); ?>" class="regular-text">
        <label for="last_name"><?php _e( 'Last Name', 'learnpress' ); ?></label>
	</div>

	<div class="input-field">
		<input type="text" name="nickname" id="nickname" value="<?php echo esc_attr( $user_info->nickname ); ?>" class="regular-text">
        <label for="nickname"><?php _e( 'Nickname', 'learnpress' ); ?></label>
	</div>




  	<label class="lp-form-field-label"><?php _e( 'Display name publicly as', 'learnpress' ); ?></label>
	<select name="display_name" class="browser-default" id="display_name">
	    <?php
		$public_display = learn_press_get_display_name_publicly( $user_info );
		foreach ( $public_display as $id => $item ) {
			?>
			<option <?php selected( $user_info->display_name, $item ); ?>><?php echo $item; ?></option>
			<?php
		}
		?>
  	</select>





	<?php do_action( 'learn_press_after_' . $section . '_edit_fields' ); ?>
</ul>