<?php
/*
Package: LifeCoach
Description: Footer widgets
Version: 1.2.4
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

// wp_reset_postdata();
wp_reset_query();

/**
 * In this theme we can hide with a checkbox the footer widgets and the footer bar. 
 */

$hide_widgets = false;
$hide_bar = false;
$pageid = lifecoach_universal_page_id();

if(is_page()){
   
}

if(is_page()){
    if(get_post_meta($pageid, 'lifecoach_remove_footerbar', true) == "1"){
        $hide_bar = true;
    }
    if(get_post_meta($pageid, 'lifecoach_remove_footerwidgets', true) == "1"){
        $hide_widgets = true;
    }
}

if(function_exists("is_shop")){
    if(is_shop()){
        if(get_post_meta($pageid, 'lifecoach_remove_footerbar', true) == "1"){
            $hide_bar = true;
        }
        if(get_post_meta($pageid, 'lifecoach_remove_footerwidgets', true) == "1"){
            $hide_widgets = true;
        }
    }
}
?>
<div class="qt-footer qt-footerwidgets">
    <?php  
    if(!$hide_widgets){
    ?>
	<div class="qt-section qt-footer-widgets qt-content-primary-light">
		<div class="qt-container ">
            <div class="qt-center">
    			<h4 class="qt-footer-logo">
    				<a href="<?php echo esc_url(get_home_url("/")); ?>" class="qt-brand-logo">
                    <?php
                    /**
                     * 
                     *
                     *  Logo or title
                     * 
                     */
                    $logo = get_theme_mod("lifecoach_logo_footer","");

                    if($logo != ''){
                        echo '<img src="'.esc_attr($logo).'" alt="'.esc_attr__("Home","lifecoach").'">';
                    }else{
                        echo get_bloginfo('name');
                    }

                    ?>
                </a>
                </h4>
            </div>
			<div id="lifecoach-maronsy-widgets" class="qt-widgets qt-widgets-footer qt-spacer-m row qt-masonry">
				 <?php dynamic_sidebar( 'lifecoach-footersidebar' ); ?>
			</div>
		</div>	
		<?php  
        $image_from_customizer = get_theme_mod( 'lifecoach_footer_backgroundimage' );
        if($image_from_customizer != '') {
        ?>
            <div class="qt-header-bg" data-bgimage="<?php echo esc_url($image_from_customizer); ?>">
                <img src="<?php echo esc_url($image_from_customizer); ?>" alt="<?php echo esc_attr__("Featured image","lifecoach"); ?>">
            </div>
        <?php  
        }
        ?>
	</div>
    <?php } ?>
    <?php  
    if(!$hide_bar){
    ?>
	<div class="qt-footer-bottom qt-content-primary-dark">
		<div class="qt-container">
			<div class="row">
				<div class="col s12 m12 l8">
					<div class="qt-footertext">
						<?php 
	                    echo html_entity_decode(html_entity_decode (esc_html( get_theme_mod('lifecoach_footer_text', '') )) ); 
	                    ?>
					</div>
					<ul class="qt-menu-footer qt-small qt-list-chevron ">
						<?php
                        /**
                        * 
                        *
                        *  Footer menu
                        * 
                        */
                        if ( has_nav_menu( 'lifecoach_menu_footer' ) ) {
                            wp_nav_menu( array(
                                'theme_location' => 'lifecoach_menu_footer',
                                'depth' => 1,
                                'container' => false,
                                'items_wrap' => '%3$s'
                            ) );
                        }
                        ?>
					</ul>
				</div>
				<div class="col s12 m12 l4">
					<ul class="qt-menu-social">
						<?php get_template_part('phpincludes/part','social' ); ?>
					</ul>
				</div>
			</div>
		</div>
        <a href="#top" class="qt-scrolltop qt-content-primary-dark"><i class="dripicons-chevron-right"></i></a>
	</div>
    <?php } ?>
</div>