<?php
/*
Package: LifeCoach
Description: Menu and mobile menu
Version: 1.2.4
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * In this theme we can hide with a checkbox the menu bar. 
 */

$hide_menu = false;
$pageid = lifecoach_universal_page_id();

if(is_page()){
	if(get_post_meta($pageid, 'lifecoach_remove_menu', true) == "1"){
		$hide_menu = true;
	}
}
if ( class_exists( 'lifecoach' ) ) {
	if(function_exists('is_shop') && function_exists('is_cart')){
		if( is_shop() || is_cart()){
			if(get_post_meta($pageid, 'lifecoach_remove_footerbar', true) == "1"){
			    $hide_bar = true;
			}
		}
	}
}

if(!$hide_menu){
?>
<!-- QT MENUBAR  ================================ -->
<nav class="qt-menubar nav-wrapper qt-content-primary">
	<?php 

	/**
	 *  Secondary Menu
	 *  SInce 1.2.0
	 */
	if(get_theme_mod("lifecoach_menu_secondary", "0") == "1" && has_nav_menu( 'lifecoach_menu_secondary' )){
	?>
		<!-- QT MENUBAR SECONDARY  ================================ -->
		<ul class="qt-menu-secondary qt-content-primary-dark hide-on-xl-and-down">
			<?php
			wp_nav_menu( array(
				'theme_location' => 'lifecoach_menu_secondary',
				'depth' => 1,
				'container' => false,
				'items_wrap' => '%3$s'
			));
			?>

			<?php get_template_part('phpincludes/part','social' ); ?>
		</ul>
		<!-- QT MENUBAR SECONDARY END  ================================ -->
	<?php }  ?>

	<!-- desktop menu  HIDDEN IN MOBILE AND TABLETS -->
	<ul class="qt-desktopmenu hide-on-xl-and-down">

		<li class="qt-logo-link">
			<a href="<?php echo get_home_url("/"); ?>" class="brand-logo qt-logo-text">
				<?php
				/**  Logo or title
				 *  ============================================= */
				$logo = get_theme_mod("lifecoach_logo_header","");
				if($logo != ''){
					echo '<img src="'.esc_attr($logo).'" alt="'.esc_attr__("Home","lifecoach").'">';
				}else{
					echo get_bloginfo('name');
				}
				?>
			</a>
		</li>

		<?php
		/**
		* 
		*
		*  Primary menu
		*  =============================================
		*/
		if ( has_nav_menu( 'lifecoach_menu_primary' ) ) {
			wp_nav_menu( array(
				'theme_location' => 'lifecoach_menu_primary',
				'depth' => 3,
				'container' => false,
				'items_wrap' => '%3$s'
			));
		}
		?> 
		<?php 
		/**
		 *   Sidebar
		 *   ============================================= * 
		 */
		if(get_theme_mod( 'lifecoach_headerbutton_sidebar', '0' )){
		?> 
		<li class="right qt-menubuttons">
			<a href="#!" data-activates="qt-extrasidebar" class="qt-btn qt-btn-ghost waves-effect qt-button-extrasidebar">
				<i class="dripicons-menu"></i>
			</a>
		</li> 
		<?php } ?>

		<?php 
		/**
		 *   Cart
		 *   ============================================= * 
		 */
		if(get_theme_mod( 'lifecoach_headerbutton_cart', '0' ) && function_exists('WC')){
		?> 
		<li class="right qt-menubuttons">
			<a href="<?php echo WC()->cart->get_cart_url(); ?>" data-expandable="#qtcartbar" class="qt-cartcontents qt-btn qt-btn-ghost waves-effect" title="<?php _e( 'View your shopping cart', 'lifecoach'); ?>">
				<?php echo WC()->cart->get_cart_total(); ?> <i class="dripicons-cart"></i> 
			</a>
		</li> 
		<?php 
		} 
		?>

		<?php 
		/**
		 *   Search
		 *   ============================================= * 
		 */
		if(get_theme_mod( 'lifecoach_headerbutton_search', '0' )){
		?> 
		<li class="right qt-menubuttons">
			<a href="#!" data-expandable="#qtsearchbar" class="qt-btn qt-btn-ghost waves-effect">
				<i class="dripicons-search"></i>
			</a>
		</li> 
		<?php 
		} 
		?>

	</ul>

	<!-- mobile menu icon and logo VISIBLE ONLY TABLET AND MOBILE-->
	<ul class="qt-desktopmenu   hide-on-xl-only ">
		<li>
			<a href="#" data-activates="lifecoachmobilemenu" class="button-collapse qt-menu-switch qt-btn qt-btn-primary qt-mobile-sidebar"><i class="dripicons-menu"></i></a>
		</li>
		<li>
			<a href="<?php echo esc_url(get_home_url("/")); ?>" class="brand-logo qt-logo-text">
			<?php
			/**
			 * Logo or title
			 * =============================================
			 */
			
			$logo = get_theme_mod("lifecoach_logo_header","");
			if($logo != ''){
				echo '<img src="'.esc_attr($logo).'" alt="'.esc_attr__("Home","lifecoach").'">';
			}else{
				echo get_bloginfo('name');
			}
			?>	
			</a>
		</li>
		<?php 
		/**
		 *   Sidebar
		 *   ============================================= * 
		 */
		if(get_theme_mod( 'lifecoach_headerbutton_sidebar', '0' )){
		?> 
		<li class="right qt-menubuttons qt-mobile-menubuttons">
			<a href="#!" data-activates="qt-extrasidebar" class="qt-btn qt-btn-primary waves-effect qt-button-extrasidebar button-collapse">
				<i class="dripicons-dots-3"></i>
			</a>
		</li> 
		<?php } ?>
	</ul>

	<?php 
	/**
	 *   Cart widget
	 *   ============================================= * 
	 */
	if(get_theme_mod( 'lifecoach_headerbutton_cart', '0' ) && function_exists('woocommerce_mini_cart')){
	?> 
	<div id="qtcartbar" class="qt-headercart-container qt-expandable">
		<div class="qt-scrollingcart qt-widget">
			<div class="qt-expandable-inner">
				<div class="qt-card qt-paddedcontent-s qt-content-primary ">
					<div class="woocommerce widget_shopping_cart">
						<div class="widget_shopping_cart_content">
							<?php woocommerce_mini_cart(); ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>
	
	<?php 
	/**
	 *   Search
	 *   ============================================= * 
	 */
	if(get_theme_mod( 'lifecoach_headerbutton_search', '0' )){
	?> 
	<div id="qtsearchbar" class="qt-searchbar-container qt-expandable">
		<div class="qt-expandable-inner">
			<?php get_template_part( 'phpincludes/part-searchbar');  ?>
		</div>
	</div>
	<?php } ?>
	
</nav>

<!-- MENU MOBILE -->
<div id="lifecoachmobilemenu" class="side-nav qt-sidenav-menu qt-content-primary">
	<?php  if ( has_nav_menu( 'lifecoach_menu_primary' ) ) { ?>
	<ul class="qt-side-nav">
		<?php
		/**
		* 
		*  Primary menu
		*  =============================================
		*/
		
			wp_nav_menu( array(
				'theme_location' => 'lifecoach_menu_primary',
				'depth' => 3,
				'container' => false,
				'items_wrap' => '%3$s'
			));
		
		?> 
	</ul>
	<?php } ?> 
	<!-- QT MENUBAR SECONDARY  ================================ -->
	<?php  if ( has_nav_menu( 'lifecoach_menu_secondary' ) ) { ?>
	<ul class="qt-side-nav-secondary  qt-content-primary-dark">
	  <?php    wp_nav_menu( array(
			'theme_location' => 'lifecoach_menu_secondary',
			'depth' => 1,
			'container' => false,
			'items_wrap' => '%3$s'
		));
	  ?>
	</ul>
    <?php } ?> 
	<!-- QT MENUBAR SECONDARY END  ================================ -->
</div>
<?php } ?>
