<?php
/*
Package: LifeCoach
Description: Post item normal
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/


$postType = get_post_type_object(get_post_type());
$postTypeName = $postType->labels->singular_name;

?>
<!-- POST ITEM ========================= -->
<div class="qt-part-archive-item qt-part-archive-item-post">
	<div class="qt-item-header">
		<div class="qt-header-top">
			<ul class="qt-tags">
				<li><a href="<?php the_permalink(); ?>" class="qt-content-primary-dark waves-effect"><?php echo esc_attr($postTypeName); ?></a></li>
				<?php  
				/**
				 * [$category Array of categories]
				 * @var [array]
				 * We want only the first category
				 */
				$category = get_the_category(); 
				$limit = 0;
				foreach($category as $i => $cat){
					if($i > $limit){
						continue;
					}
					echo '<li><a class="category" href="'.get_category_link($cat->term_id ).'">'.$cat->cat_name.'</a></li>';  
				}	
				?>
			</ul>
			<div class="qt-feedback">
	    		<?php 
	    		/**
	    		 *  Display item counters. see functions.php
	    		 */
	    		lifecoach_item_counters($post->ID, true); 
	    		?>
	    	</div>
	    </div>
		<div class="qt-header-mid">
			<div class="qt-captions-container qt-decor-side">
				<div class="qt-item-metas">
					<?php 
					$authorurl = get_the_author_meta( 'thumbnail' , get_the_author_meta('ID') );
					if($authorurl != '') {
					?>
						<a class="qt-author-thumb" href="<?php echo esc_attr( get_author_posts_url( get_the_author_meta('ID') ) ); ?>">
							<img src="<?php echo esc_url($authorurl); ?>" alt="<?php echo esc_attr__("Author","lifecoach"); ?>" width="50" height="50">
						</a>
					<?php } ?>
					<div class="qt-texts">
						<p class="qt-author qt-ellipsis"><?php the_author_posts_link();  ?></p>
						<p class="qt-date"><?php echo lifecoach_international_date(); ?></p>
					</div>
				</div>
		  		<h3 class="qt-title"><a href="<?php the_permalink(); ?>" class="qt-text-shadow"><?php the_title(); ?></a></h3>
			</div>
		</div>
		<?php if (has_post_thumbnail()){ ?>
        <div class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url( 'lifecoach-large' ); ?>">
            <?php the_post_thumbnail( 'lifecoach-large' ); ?>
        </div>
     	<?php } ?>
     	<a href="<?php the_permalink(); ?>" class="qt-cardfx-hover"><i class="<?php lifecoach_format_icon_class($post->ID); ?>"></i></a>
	</div>

	<div class="qt-item-content qt-card qt-the-content">
		<?php the_excerpt(); ?>
		<p class="qt-spacer-s"><a href="<?php the_permalink(); ?>" class="qt-btn qt-btn-primary waves-effect"><i class="<?php lifecoach_format_icon_class($post->ID); ?>"></i> <?php esc_html_e("Read", "lifecoach"); ?></a></p>
	</div>
</div>
<!-- POST ITEM END ========================= -->
