<?php
/*
Package: lifecoach
Description: Archive title
Version: 1.2.2
Author: Themes2Go
Author URI: http://Themes2Go.com
*/




if ( is_category() ) : single_cat_title();
elseif (is_page() || is_singular() ) : the_title();
elseif ( is_search() ) : printf( esc_attr(__( 'Search Results for: %s', "lifecoach" )), '<span>' . esc_attr(get_search_query()) . '</span>' );
elseif ( is_tag() ) : single_tag_title();
elseif ( is_author() ) :
    the_post();
    printf( esc_attr(__( 'Author: %s', "lifecoach" )), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' );
    rewind_posts();
elseif ( is_day() ) : printf( esc_attr__( 'Day: %s', "lifecoach" ), '<span>' . esc_attr(get_the_date()) . '</span>' );
elseif ( is_month() ) : printf( esc_attr__( 'Month: %s', "lifecoach" ), '<span>' . esc_attr(get_the_date( 'F Y' )) . '</span>' );
elseif ( is_year() ) :  printf( esc_attr__( 'Year: %s', "lifecoach" ), '<span>' . esc_attr(get_the_date( 'Y' )) . '</span>' );
elseif ( is_tax( 'post_format', 'post-format-aside' ) ) : esc_attr_e( 'Asides', "lifecoach" );
elseif ( is_tax( 'post_format', 'post-format-image' ) ) : esc_attr_e( 'Images', "lifecoach");
elseif ( is_tax( 'post_format', 'post-format-video' ) ) : esc_attr_e( 'Videos', "lifecoach" );
elseif ( is_tax( 'post_format', 'post-format-quote' ) ) : esc_attr_e( 'Quotes', "lifecoach" );
elseif ( is_tax( 'post_format', 'post-format-link' ) ) : esc_attr_e( 'Links', "lifecoach" );
elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) : esc_attr_e( 'Galleries', "lifecoach" );
elseif ( is_tax( 'post_format', 'post-format-audio' ) ) : esc_attr_e( 'Sounds', "lifecoach" );
/*
*
*   Custom post type titles
*
*/
elseif(is_post_type_archive( 'show' ) || is_tax('genre')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } 
            echo esc_attr__("Shows","lifecoach");

elseif(is_post_type_archive( 'chart' ) || is_tax('chartcategory')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } 
            echo esc_attr__("charts","lifecoach");            
elseif(is_post_type_archive( 'qtvideo' ) || is_tax('vdl_filters')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } 
            echo esc_attr__("videos","lifecoach");    

elseif (is_post_type_archive( 'members' ) || is_tax('membertype')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } else {
                echo esc_attr__("Team Members","lifecoach");  
            }

elseif (is_post_type_archive( 'podcast' ) || is_tax('podcastfilter')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name);
            } else {
                echo esc_attr__("Podcast","lifecoach"); 
            }
elseif (is_post_type_archive( 'testimonial' ) || is_tax('testimonial-category')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name);
            } else {
                echo esc_attr__("Testimonials","lifecoach"); 
            }
elseif (is_post_type_archive( 'event' ) || is_tax('eventtype')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } else {
                echo esc_attr__("Events","lifecoach"); 
            }
elseif (is_post_type_archive( 'lp_course' ) || is_tax('course_category')|| is_tax('course_tag')):      
            $termname = '';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
            if(is_object($term)){
                echo esc_attr($term->name).' ';
            } else {
                echo esc_attr__("Courses","lifecoach"); 
            }
else: esc_attr_e( 'Blog', "lifecoach" );
endif;
?>