 <?php 

/*
Package: LifeCoach
Description: Header background from page or customizer
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/
if( (is_singular() || is_home() || is_page() || is_front_page()) && has_post_thumbnail()){
	?>
	<div class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url(get_the_ID(), 'lifecoach-xl' ); ?>" data-bgattachment="" data-parallax="1">
	</div>
	<?php
} else {
	$image_from_customizer = get_theme_mod( 'lifecoach_header_backgroundimage', '' );
	if( is_author() ){
		$authorpic = get_the_author_meta( 'picture' , get_the_author_meta('ID') );
		if( $authorpic != ''){
			$image_from_customizer = $authorpic;
		}
	}


	/**
	 * since 2.1.1 category bg plugin required
	 */
	if(is_category() || is_tax('podcastfilter') || is_tax('eventtype')){

		if(is_category()){
			// $category = get_category( get_query_var( 'cat' ) );
			$catid = get_query_var( 'cat' );
		}

		/**
		 * since 2.0.5 // support for custom images in podcast categories
		 */
		if(is_tax('podcastfilter')){
			$slug = get_query_var( 'podcastfilter' );
			$term = get_term_by('slug',  $slug,  'podcastfilter');
			$catid = $term->term_id;
		}
		if(is_tax('eventtype')){
			$slug = get_query_var( 'eventtype' );
			$term = get_term_by('slug',  $slug,  'eventtype');
			$catid = $term->term_id;
		}
		if(!empty( $catid)){
			$image_id =  get_term_meta($catid, 'ttg_category_img_id', true);
			if($image_id){
				$image_from_customizer = wp_get_attachment_url ( $image_id, 'full' ); 
			}
		}
	}


	
	if($image_from_customizer != '') {
	?>
	<div class="qt-header-bg" data-bgimage="<?php echo esc_url($image_from_customizer); ?>" data-bgattachment="" data-parallax="1">
	</div>
	<?php 
	}
}