<?php
/*
Package: LifeCoach
Description: Search
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

global $wp_query;

get_header(); 
get_template_part( 'phpincludes/menu');

/**
 * [$paged current paged number]
 * @var [int]
 */
$paged = lifecoach_get_paged();


?>
	<div id="maincontent" class="qt-main">
		<!-- ======================= CONTENT SECTION ======================= -->
		<div id="post-<?php the_ID(); ?>" <?php post_class("qt-container qt-vertical-padding-l"); ?>>
			<div class="qt-search-inpage qt-spacer-l">
				<h2>
					<?php printf( esc_attr(__( 'Search Results for: %s', "lifecoach" )), '<span>' . esc_attr(get_search_query()) . '</span>' ); ?>
				</h2>
				<h5>
					<?php echo esc_attr__("Total results:", "lifecoach").' '.esc_attr($wp_query->found_posts); ?>
					<?php 
					$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
					?>
					/ <?php echo esc_attr__("Showing page: ","lifecoach").esc_attr($paged); ?> <?php echo esc_attr__("of","lifecoach"); ?> <?php echo esc_attr($wp_query->max_num_pages);  ?>
				</h5>
				<!-- SEARCH FORM ========================= -->
				<div class="qt-searchsection qt-vertical-padding-m">
					<div class="qt-expandable-inner">
						<form method="get" class="qt-inline-form" action="<?php echo esc_url( home_url( '/' ) ); ?>" role="search">
							<div class="row qt-nopadding">
								<div class="col s8 m9">
									<input placeholder="<?php echo esc_attr_x( 'Type and press enter &hellip;', 'placeholder', "lifecoach" ); ?>" value="<?php echo esc_attr(get_search_query());  ?>" name="s" type="text" class="validate qt-input-l">
								</div>
								<div class="col s4 m3">
									<input type="button" value="<?php echo esc_attr__("Search", "lifecoach"); ?>" class="qt-btn qt-btn-primary qt-btn-l qt-fullwidth">
								</div>
							</div>
						</form>
					</div>
				</div>
				<!-- SEARCH FORM END ========================= -->
			</div>
			<div class="row">
				<div class="col s12 m12 l12">
					<?php 
					add_filter( "excerpt_length", "lifecoach_excerpt_length", 999 );

					 if ( have_posts() ) : while ( have_posts() ) : the_post();
						setup_postdata( $post );
						?>
						<div class="qt-result-entry qt-clearfix qt-paper qt-card qt-spacer-s qt-paddedcontent-s">
							
							<div class="qt-texts qt-decor-side">
								<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
								<p><?php the_excerpt(); ?></p>
								<p class="qt-spacer-s"><a href="<?php the_permalink(); ?>" class="qt-btn qt-btn-s qt-btn-primary waves-effect"><?php echo esc_attr__("Read more", "lifecoach"); ?></a></p>
							</div>
							<?php 
							if(has_post_thumbnail()){ 
								?>
								<a href="<?php the_permalink(); ?>" class="qt-thumbnail hide-on-med-and-down	">
								<?php
								the_post_thumbnail(  "thumbnail");
								?></a><?php  
							} 
							?>
						</div>

						<?php
						
					endwhile; endif;
					remove_filter( "excerpt_length", "lifecoach_excerpt_length", 999 );

					?>
					<hr class="qt-spacer-m">
				</div>

			</div>
		</div>
		<div class="qt-pagination qt-content-primary">
			<?php get_template_part ('phpincludes/part-pagination'); ?> 
		</div>
	</div><!-- .qt-main end -->
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>