<?php
/*
Package: LifeCoach
Description: Single event
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/
?>
<?php 
get_header(); 
get_template_part( 'phpincludes/menu');
?>

	<div id="maincontent" class="qt-main">
		<?php while ( have_posts() ) : the_post(); ?>

		<?php
		/**
		 * 
		 *
		 * Events data
		 * 
		 */
		$e = array(
		  'id' =>  $post->ID,
		  'date' =>  esc_attr(get_post_meta($post->ID,'eventdate',true)),
		  'location' =>  esc_attr(get_post_meta($post->ID, 'qt_location',true)),
		  'street' =>  esc_attr(get_post_meta($post->ID, 'qt_address',true)),
		  'city' =>  esc_attr(get_post_meta($post->ID, 'qt_city',true)),
		  'country' =>  esc_attr(get_post_meta($post->ID, 'qt_country',true)),
		  'permalink' =>  esc_url(get_permalink($post->ID)),
		  'title' =>  esc_attr($post->post_title),
		  'phone' => esc_attr(get_post_meta($id, 'qt_phone',true)),
		  'website' => esc_attr(get_post_meta($id, 'qt_link',true)),
		  'facebooklink' => esc_attr(get_post_meta($id, 'eventfacebooklink',true)),
		  'coord' => esc_attr(get_post_meta($id,  'qt_coord',true)),
		  'email' => esc_attr(get_post_meta($id,  'qt_email',true))
		);
		?>

		<!-- ======================= HEADER SECTION ======================= -->
		<?php get_template_part( 'phpincludes/part-header-caption-event'); ?>

		<!-- ======================= CONTENT SECTION ======================= -->
  		<div id="post-<?php the_ID(); ?>" <?php post_class("qt-container qt-vertical-padding-l"); ?>>
			<div  id="qtcontents" class="row">
				<div class="col s12 m12 l1 qt-pushpin-container">
					<div class="qt-pushpin">
						<?php get_template_part( 'phpincludes/sharepage'); ?>
					</div>
					 <hr class="qt-spacer-m">
				</div>
				<div class="col s12 m12 <?php if('0' !== get_theme_mod('lifecoach_sidebar_events')) { ?>l8<?php } else { ?>l11<?php } ?>">
					<div id="qtcontents" class="qt-the-content">
						<?php
						/*
						*
						*   Print the BUY links
						*	=======================================
						*/
						$eventslinks= get_post_meta($id,'eventrepeatablebuylinks',true);   

						if(is_array($eventslinks)){
						  if(count($eventslinks)>0){
							  if($eventslinks[0]['cbuylink_url'] != ''){
								  ?>
								  <div class="qt-card qt-buylink-section qt-paddedcontent qt-centered">
									  <h3><?php echo esc_attr__("Buy tickets","lifecoach"); ?></h3>
									  <p class="qw-buylinks qt-spacer-s">
									  <?php  
									  foreach($eventslinks as $b){ 
										  if(isset($b['cbuylink_url'])){
											  if($b['cbuylink_url']!=''){
												  echo '
												  <a href="'.esc_url($b['cbuylink_url']).'" target="_blank" rel="external nofollow" class="qt-btn  qt-btn-secondary btn waves-effect waves-light accentcolor">
												  <i class="fa fa-cart"></i> '.esc_attr($b['cbuylink_anchor']).'</a>';
											  }
										  }
									  }
									  ?>
									  </p>
								  </div>
								  <?php  
							  }
						  }
						}
						?>
			  			<h5 class="qt-title qt-inline-textdeco qt-spacer-m">
						<span class="qt-title qt-capfont"><?php echo esc_attr__("Event details", "lifecoach"); ?></span>
						</h5>
						<?php 
						/*
						*
						*
						*   Print the data out
						*
						*
						*/
						echo '
						<div class="qt-the-content">
							<table class="table qt-eventtable">
								<tbody>
								'.(($e['date']!='') ? '<tr><th>'.esc_attr__("Date","lifecoach").':</th> <td>'.esc_attr(date_i18n( get_option("date_format", "d M Y"), strtotime( get_post_meta($post->ID, "eventdate", true) ))).'</td></tr>' : '').'
								'.(($e['location']!='') ? '<tr><th>'.esc_attr__("Location","lifecoach").':</th> <td>'.esc_attr($e['location']).'</td></tr>' : '').'
								'.(($e['street']!='' || $e['city'] !='') ? '<tr><th>'.esc_attr__("Address","lifecoach").':</th> <td> '.esc_attr($e['street']).' '.$e['city'].'</td></tr>' : '').'
								'.(($e['phone']!='') ? '<tr><th>'.esc_attr__("Phone","lifecoach").':</th> <td>'.esc_attr($e['phone']).'</td></tr>' : '').'
								'.(($e['website']!='') ? '<tr><th>'.esc_attr__("Website","lifecoach").':</th> <td class="qt-break-word"><a href="'.esc_attr($e['website']).'" target="_blank" rel="external nofollow">'.esc_attr($e['website']).'</a>'.'</td></tr>' : '').'
								'.(($e['facebooklink']!='') ? '<tr><th>'.esc_attr__("Event","lifecoach").':</th> <td class="qt-break-word"><a href="'.esc_attr($e['facebooklink']).'" target="_blank" rel="external nofollow">'.esc_attr($e['facebooklink']).'</a>'.'</td></tr>' : '').'
								</tbody>
							</table>
						</div>';  
						?>

						<div class="qt-content">
							 <?php the_content(); ?>
						</div>

						<?php
						/*
						*
						*   Print map if declared and if the QT Places plugin is active
						*	=======================================
						*/
						?>
						<?php if($e['location'] && $e['coord']!== '' ){ ?>
						<hr class="qt-spacer-m">
						<h5 class="qt-inline-textdeco">
							<span><?php echo esc_attr__("Event location", "lifecoach"); ?></span>
						</h5>
						<div class="qt-map-event qt-spacer-s">
							<div class="qt_dynamicmaps" id="map<?php echo esc_attr($post->ID); ?>" data-colors="QT_map_dark" data-coord="<?php echo esc_attr($e['coord']); ?>" data-locationname="<?php echo esc_attr($e['location']); ?>" data-height="350">
							</div>
						</div>
						<?php } ?>
							
						</div>
					</div>
					<?php if('0' !== get_theme_mod('lifecoach_sidebar_events')) { ?>
					<div class="qt-sidebar col s12 m12 l3">
						<?php get_template_part( 'phpincludes/sidebar'); ?>
					</div>
					<?php } ?>
				</div>
			</div>
			<!-- ======================= RELATED SECTION ======================= -->
			<?php get_template_part ('phpincludes/part', 'related' );  ?>
		<?php endwhile; // end of the loop. ?>
	</div><!-- .qt-main end -->
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>