<?php

add_action('init', 'lifecoach_member_register_type');  
function lifecoach_member_register_type() {
	$labelsmember = array(
		'name' => esc_attr__("Team Members","lifecoach" ),
		'singular_name' => esc_attr__("Team member","lifecoach" ),
		'add_new' => esc_attr__('Add new team member',"lifecoach" ),
		'add_new_item' => esc_attr__('Add new team member',"lifecoach" ),
		'edit_item' => esc_attr__('Edit member',"lifecoach" ),
		'new_item' => esc_attr__('New member',"lifecoach" ),
		'all_items' => esc_attr__('All team members',"lifecoach" ),
		'view_item' => esc_attr__('View team member',"lifecoach" ),
		'search_items' => esc_attr__('Search team member',"lifecoach" ),
		'not_found' =>  esc_attr__('No member found',"lifecoach" ),
		'not_found_in_trash' => esc_attr__('No members found in Trash', "lifecoach" ),
		'parent_item_colon' => '',
		'menu_name' => esc_attr__('Team members',"lifecoach" ),
	);
	$args = array(
		'labels' => $labelsmember,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true, 
		'member_in_menu' => true,
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'page',
		'has_archive' => true,
		'hierarchical' => false,
		'page-attributes' => true,
		'show_in_nav_menus' => true,
		'show_in_admin_bar' => true,
		'show_in_menu' => true,
		'menu_icon' =>  'dashicons-businessman',
		'supports' => array('title', 'thumbnail','page-attributes','editor', 'revisions'  )
	); 
    if(function_exists('ttg_custom_post_type')){
    	ttg_custom_post_type( "members" , $args );
    }

	/* ============= create custom taxonomy for the members ==========================*/
	$labels = array(
	    'name' => esc_html__( 'Types',"lifecoach" ),
	    'singular_name' => esc_html__( 'Type',"lifecoach" ),
	    'search_items' =>  esc_html__( 'Search by Type',"lifecoach" ),
	    'popular_items' => esc_html__( 'Popular Types',"lifecoach" ),
	    'all_items' => esc_html__( 'All members',"lifecoach" ),
	    'parent_item' => null,
	    'parent_item_colon' => null,
	    'edit_item' => esc_html__( 'Edit Type',"lifecoach" ), 
	    'update_item' => esc_html__( 'Update Type',"lifecoach" ),
	    'add_new_item' => esc_html__( 'Add New Type',"lifecoach" ),
	    'new_item_name' => esc_html__( 'New Type Name',"lifecoach" ),
	    'separate_items_with_commas' => esc_html__( 'Separate Types with commas',"lifecoach" ),
	    'add_or_remove_items' => esc_html__( 'Add or remove Types',"lifecoach" ),
	    'choose_from_most_used' => esc_html__( 'Choose from the most used Types',"lifecoach" ),
	    'menu_name' => esc_html__( 'Member types',"lifecoach" )
  	); 
	$args = array(
	    'hierarchical' => false,
	    'labels' => $labels,
	    'show_ui' => true,
	    'update_count_callback' => '_update_post_term_count',
	    'query_var' => true,
	    'rewrite' => array( 'slug' => 'membertype' )
	);
	if(function_exists('ttg_custom_taxonomy')){
		ttg_custom_taxonomy('membertype','members', $args	);
	}
}

/*
*
*	Meta boxes ===========================================================================
*
*	======================================================================================
*/

$fields = array(
	array(
		'label' => 'Short bio',
		'id'    => 'member_incipit',
		'type'  => 'editor'
		)
	,array(
		'label' => 'Role in the company',
		'id'    => 'member_role',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Facebook link',
		'id'    => 'QT_facebook',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Twitter link',
		'id'    => 'QT_twitter',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Pinterest link',
		'id'    => 'QT_pinterest',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Vimeo link',
		'id'    => 'QT_vimeo',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Wordpress link',
		'id'    => 'QT_wordpress',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Youtube link',
		'id'    => 'QT_youtube',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Soundcloud link',
		'id'    => 'QT_soundcloud',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Myspace link',
		'id'    => 'QT_myspace',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Itunes link',
		'id'    => 'QT_itunes',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Mixcloud link',
		'id'    => 'QT_mixcloud',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Resident Advisor link',
		'id'    => 'QT_resident-advisor',
		'type'  => 'text'
		)
   	,array(
		'label' => 'ReverbNation link',
		'id'    => 'QT_reverbnation',
		'type'  => 'text'
		)
   	,array(
		'label' => 'Instagram link',
		'id'    => 'QT_instagram',
		'type'  => 'text'
		)

    
   	
);
if(class_exists('custom_add_meta_box')) {
	$sample_box = new custom_add_meta_box( 'members_meta', 'member details', $fields, 'members', true );
}
