<?php  

/*
*	Page special attributes
*	=============================================================
*/

if(!function_exists("lifecoach_add_special_fields")){
function lifecoach_add_special_fields() {
	$qt_design_settings = array (
		array (
			'label' =>  esc_attr__('Transparent header',"lifecoach"),
			'id' =>  'lifecoach_header_transparent',
			'default' => "default",
			'type' 	=> 'select',
			'options' => array (
				array('label' => __('Default',"lifecoach"),'value' => ''),
				array('label' => __('Opaque',"lifecoach"),'value' => '0'),	
				array('label' => __('Transparent',"lifecoach"),'value' => '1')
			)
		)
		,array (
			'label' =>  esc_attr__('Header size',"lifecoach"),
			'id' =>  'lifecoach_page_header_size',
			'default' => "default",
			'type' 	=> 'select',
			'options' => array (
				array('label' => __('Default',"lifecoach"),'value' => ''),
				array('label' => __('Fullscreen',"lifecoach"),'value' => 'qt-header-full'),	
				array('label' => __('Short',"lifecoach"),'value' => 'qt-header-short'),	
			)
		)
		,array (
			'label' =>  esc_attr__('Hide menu',"lifecoach"),
			'desc' => esc_attr__('Completely remove the menu bar in this page',"lifecoach"),
			'id' =>  'lifecoach_remove_menu',
			'type' => 'checkbox'
		)
		,array (
			'label' =>  esc_attr__('Hide header',"lifecoach"),
			'desc' => esc_attr__('Header with featured image and title will be hidden',"lifecoach"),
			'id' =>  'lifecoach_remove_header',
			'type' => 'checkbox'
		)
		,array (
			'label' =>  esc_attr__('Hide footer widgets',"lifecoach"),
			'desc' => esc_attr__('Completely remove the footer widgets section in this page',"lifecoach"),
			'id' =>  'lifecoach_remove_footerwidgets',
			'type' => 'checkbox'
		)
		,array (
			'label' =>  esc_attr__('Hide footer bar',"lifecoach"),
			'desc' => esc_attr__('Completely remove the footer bar in this page',"lifecoach"),
			'id' =>  'lifecoach_remove_footerbar',
			'type' => 'checkbox'
		)
		,array (
			'label' => esc_attr__('Form title',"lifecoach"),
			'id' =>  'lifecoach_contacts_form_title',
			'pagetemplate' => 'page-contacts.php',
			'type' => 'text'
		) 	
	);
	if(post_type_exists('page')){
		if(function_exists('custom_meta_box_field')){
			$main_box = new custom_add_meta_box('lifecoach_design_settings', 'Design customization', $qt_design_settings, 'page', true );
		}
	}
}}

add_action('init', 'lifecoach_add_special_fields');  