<?php

add_action('init', 'lifecoach_podcast_register_type');  
if(!function_exists('lifecoach_podcast_register_type')){
function lifecoach_podcast_register_type() {
    $labelspodcast = array(
        'name' => esc_attr__("Podcast","lifecoach"),
        'singular_name' => esc_attr__("Podcast","lifecoach"),
        'add_new' => esc_attr__("Add new","lifecoach"),
        'add_new_item' => esc_attr__("Add new podcast","lifecoach"),
        'edit_item' => esc_attr__("Edit podcast","lifecoach"),
        'new_item' => esc_attr__("New podcast","lifecoach"),
        'all_items' => esc_attr__("All podcasts","lifecoach"),
        'view_item' => esc_attr__("View podcast","lifecoach"),
        'search_items' => esc_attr__("Search podcast","lifecoach"),
        'not_found' => esc_attr__("No podcasts found","lifecoach"),
        'not_found_in_trash' => esc_attr__("No podcasts found in trash","lifecoach"),
        'menu_name' => esc_attr__("Podcasts","lifecoach")
    );
    $args = array(
        'labels' => $labelspodcast,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'page',
        'has_archive' => true,
        'hierarchical' => false,
        'menu_position' => 30,
        'page-attributes' => true,
        'show_in_nav_menus' => true,
        'show_in_admin_bar' => true,
        'show_in_menu' => true,
         'menu_icon' => 'dashicons-megaphone',
        'supports' => array('title', 'thumbnail','editor' )
    ); 
    if(function_exists('ttg_custom_post_type')){
        ttg_custom_post_type( "podcast" , $args );
    }

    /* ============= create custom taxonomy for the podcasts ==========================*/
    $labels = array(
        'name' => esc_attr__( 'Podcast filters',"lifecoach" ),
        'singular_name' => esc_attr__( 'Filter',"lifecoach" ),
        'search_items' =>  esc_attr__( 'Search by filter',"lifecoach" ),
        'popular_items' => esc_attr__( 'Popular filters',"lifecoach" ),
        'all_items' => esc_attr__( 'All Podcasts',"lifecoach" ),
        'parent_item' => null,
        'parent_item_colon' => null,
        'edit_item' => esc_attr__( 'Edit Filter',"lifecoach" ), 
        'update_item' => esc_attr__( 'Update Filter',"lifecoach" ),
        'add_new_item' => esc_attr__( 'Add New Filter',"lifecoach" ),
        'new_item_name' => esc_attr__( 'New Filter Name',"lifecoach" ),
        'separate_items_with_commas' => esc_attr__( 'Separate Filters with commas',"lifecoach" ),
        'add_or_remove_items' => esc_attr__( 'Add or remove Filters',"lifecoach" ),
        'choose_from_most_used' => esc_attr__( 'Choose from the most used Filters',"lifecoach" ),
        'menu_name' => esc_attr__( 'Filters',"lifecoach" ),
    ); 
    $args = array(
        'hierarchical' => false,
        'labels' => $labels,
        'show_ui' => true,
        'update_count_callback' => '_update_post_term_count',
        'query_var' => true,
        'rewrite' => array( 'slug' => 'podcastfilter' )
    );
    if(function_exists('ttg_custom_taxonomy')){
        ttg_custom_taxonomy('podcastfilter','podcast', $args );
    }
}}




$podcast_tab_custom = array(
    array(
        'label' => esc_attr__( 'Artist Name', "lifecoach" ),
        'id'    => '_podcast_artist',
        'type'  => 'text'
        ),
    array(
        'label' => esc_attr__( 'Date', "lifecoach" ),
        'id'    => '_podcast_date',
        'type'  => 'date'
        ),
    array(
        'label' => esc_attr__( 'Mixcloud, Soundcloud or MP3 url.', "lifecoach" ),
        'id'    => '_podcast_resourceurl',
        'type'  => 'text'
        )
);
if (class_exists('custom_add_meta_box')){
    $podcast_tab_custom_box = new custom_add_meta_box( 'podcast_customtab', esc_attr__('Podcast details', "lifecoach"), $podcast_tab_custom, 'podcast', true );
}
