<?php
add_action('init', 'lifecoach_sponsor_register_type');  
function lifecoach_sponsor_register_type() {
	$labels = array(
		'name' => esc_attr__("Sponsors","lifecoach"),
        'singular_name' => esc_attr__("Sponsor","lifecoach"),
        'add_new' => esc_attr__("Add new","lifecoach"),
        'add_new_item' => esc_attr__("Add new sponsor","lifecoach"),
        'edit_item' => esc_attr__("Edit sponsor","lifecoach"),
        'new_item' => esc_attr__("New sponsor","lifecoach"),
        'all_items' => esc_attr__("All sponsors","lifecoach"),
        'view_item' => esc_attr__("View sponsor","lifecoach"),
        'search_items' => esc_attr__("Search sponsor","lifecoach"),
        'not_found' => esc_attr__("No sponsors found","lifecoach"),
        'not_found_in_trash' => esc_attr__("No sponsors found in trash","lifecoach"),
        'menu_name' => esc_attr__("Sponsors","lifecoach")
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'member_ui' => true, 
		'member_in_menu' => true, 
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'page',
		'has_archive' => true,
		'hierarchical' => false,
		'page-attributes' => true,
		'member_in_nav_menus' => true,
		'member_in_admin_bar' => true,
		'member_in_menu' => true,
		'menu_icon' =>  'dashicons-forms',
		'supports' => array('title', 'thumbnail','page-attributes', 'revisions', 'editor'  )
	); 
    if(function_exists('ttg_custom_post_type')){
    	ttg_custom_post_type( "qtsponsor" , $args );
    }
    $event_meta_boxfields = array(
		array(
			'label' => esc_attr__('Link url', "lifecoach"),
			'id'    => 'linkurl',
			'type'  => 'text'
		)
	);
	if(class_exists("custom_add_meta_box")){
		$event_meta_box= new custom_add_meta_box( 'sponsor_customtab', esc_attr__('Sponsor details', "lifecoach"), $event_meta_boxfields, 'qtsponsor', true );
	}
}