<?php
add_action('init', 'lifecoach_testimonial_register_type');  
function lifecoach_testimonial_register_type() {
	$labels = array(
		'name' => esc_html__("Testimonials","lifecoach"),
		'singular_name' => esc_html__("Testimonial","lifecoach"),
		'add_new' => esc_attr__("Add new","lifecoach"),
		'add_new_item' => esc_attr__("Add new testimonial","lifecoach"),
		'edit_item' => esc_attr__("Edit testimonial","lifecoach"),
		'new_item' => esc_attr__("New testimonial","lifecoach"),
		'all_items' => esc_attr__("All testimonials","lifecoach"),
		'view_item' => esc_attr__("View testimonial","lifecoach"),
		'search_items' => esc_attr__("Search testimonial","lifecoach"),
		'not_found' =>  esc_attr__("No testimonial found","lifecoach"),
		'not_found_in_trash' => esc_attr__("No testimonial found in trash","lifecoach"),
		'parent_item_colon' => '',
		'menu_name' => esc_html__("Testimonials","lifecoach")
	);
	$args = array(
		'labels' => $labels,
		'public' => true,
		'publicly_queryable' => true,
		'member_ui' => true, 
		'member_in_menu' => true, 
		'query_var' => true,
		'rewrite' => true,
		'capability_type' => 'page',
		'has_archive' => true,
		'hierarchical' => false,
		'page-attributes' => true,
		'member_in_nav_menus' => true,
		'member_in_admin_bar' => true,
		'member_in_menu' => true,
		'menu_icon' =>  'dashicons-format-quote',
		'supports' => array('title', 'thumbnail','page-attributes', 'revisions', 'editor'  )
	); 
    if(function_exists('ttg_custom_post_type')){
    	ttg_custom_post_type( "testimonial" , $args );
    }

    $labels = array(
		'name' => esc_attr__( 'Testimonial category',"lifecoach" ),
		'singular_name' => esc_attr__( 'Categories',"lifecoach" ),
		'search_items' =>  esc_attr__( 'Search by category',"lifecoach" ),
		'popular_items' => esc_attr__( 'Popular categories',"lifecoach" ),
		'all_items' => esc_attr__( 'All categories',"lifecoach" ),
		'parent_item' => null,
		'parent_item_colon' => null,
		'edit_item' => esc_attr__( 'Edit category',"lifecoach" ), 
		'update_item' => esc_attr__( 'Update category',"lifecoach" ),
		'add_new_item' => esc_attr__( 'Add New category',"lifecoach" ),
		'new_item_name' => esc_attr__( 'New category',"lifecoach" ),
		'separate_items_with_commas' => esc_attr__( 'Separate categories with commas',"lifecoach" ),
		'add_or_remove_items' => esc_attr__( 'Add or remove categories',"lifecoach" ),
		'choose_from_most_used' => esc_attr__( 'Choose from the most used categories',"lifecoach" ),
		'menu_name' => esc_attr__( 'Categories',"lifecoach" ),
	);
    $args = array(
		'hierarchical' => true,
		'labels' => $labels,
		'show_ui' => true,
		'update_count_callback' => '_update_post_term_count',
		'query_var' => true,
		'rewrite' => array( 'slug' => 'testimonial-categories' )
	);
    if(function_exists('ttg_custom_taxonomy')){
		ttg_custom_taxonomy('testimonial-category','testimonial',$args	);
	} 

    $event_meta_boxfields = array(
		array(
			'label' => esc_attr__('Testimonial author', "lifecoach"),
			'id'    => 'author',
			'type'  => 'text'
		)
	);
	if(class_exists("custom_add_meta_box")){
		$event_meta_box= new custom_add_meta_box( 'testimonial_customtab', esc_attr__('Testimonial details', "lifecoach"), $event_meta_boxfields, 'testimonial', true );
	}
}