<?php  
/**
 * Create customizer fields for the kirki framework.
 * @package Kirki
 */

/* = WooCommerce
=============================================*/
Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_headerbutton_cart',
	'label' => esc_attr__( 'Add Cart Button to header', "lifecoach" ),
	'description'       => esc_html__( 'Install WooCommerce plugin to use', "lifecoach" ),
	'section'     => 'lifecoach_woocommerce',
	'default'     => '0',
	'priority'    => 93
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'radio',
	'settings'    => 'lifecoach_woocommerce_header_size',
	'label'       => esc_attr__( 'WooCommerce pages header size', "lifecoach" ),
	'section'     => 'lifecoach_woocommerce',
	'description' => esc_attr__( 'Affects desktop layout only, for WooCommerce pages.', "lifecoach" ),
	'default'     => 'qt-header-short',
	'priority'    => 10,
	'choices'     => array(
		'qt-header-tall' => esc_attr__( 'Fullscreen', "lifecoach" ),
		'qt-header-short' => esc_attr__( 'Short', "lifecoach" )
	)
));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 
	'settings' => 'lifecoach_shop_title', 
	'default' => esc_attr__("Shop", "lifecoach"),
	'type' => 'text', 
	'label' => esc_attr__( 'Shop page title', "lifecoach" ), 
	'section' => 'lifecoach_woocommerce',
	)
);

/* = Design
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'radio',
	'settings'    => 'lifecoach_cardsfx',
	'label'       => esc_attr__( 'Cards hover effect', "lifecoach" ),
	'section'     => 'lifecoach_design',

	'default'     => '0',
	'priority'    => 10,
	'choices'     => array(
		'qt-cardsfx-00' => esc_attr__( 'Default', "" ),
		'qt-cardsfx-01' => esc_attr__( '01. Scale + overlay', "lifecoach" ),
		'qt-cardsfx-02' => esc_attr__( '02. Scale + overlay + borders', "lifecoach" ),
		'qt-cardsfx-03' => esc_attr__( '03. Scale + dark overlay + button', "lifecoach" )
	)
));

/* = Sidebar section
=============================================*/

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_sidebar_events',
	'label'       => esc_attr__( 'Enable events page sidebar', "lifecoach" ),
	'section'     => 'lifecoach_sidebar_section',
	'priority'    => 10,
	'default'     => '1',
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_sidebar_members',
	'label'       => esc_attr__( 'Enable members page sidebar', "lifecoach" ),
	'section'     => 'lifecoach_sidebar_section',
	'priority'    => 10,
	'default'     => '1',
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_sidebar_podcasts',
	'label'       => esc_attr__( 'Enable podcasts page sidebar', "lifecoach" ),
	'section'     => 'lifecoach_sidebar_section',
	'priority'    => 10,
	'default'     => '1',
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_sidebar_testimonials',
	'label'       => esc_attr__( 'Enable testimonials page sidebar', "lifecoach" ),
	'section'     => 'lifecoach_sidebar_section',
	'priority'    => 10,
	'default'     => '1',
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_sidebar_videos',
	'label'       => esc_attr__( 'Enable videos page sidebar', "lifecoach" ),
	'section'     => 'lifecoach_sidebar_section',
	'priority'    => 10,
	'default'     => '1',
));


/* = 404 section
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'image',
	'settings'    => 'lifecoach_404_backgroundimage',
	'label'       => esc_attr__( 'Error page background image', "lifecoach" ),
	'section'     => 'lifecoach_404',
	'description' => esc_attr__( 'JPG min 1600x500px / max 250Kb', "lifecoach" ),
	'priority'    => 10
));


/* = Header section
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'image',
	'settings'    => 'lifecoach_logo_header',
	'label'       => esc_attr__( 'Logo header', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'description' => esc_attr__( 'Max outer height: 100px. Make a PNG with some transparent space around to center vertically.', "lifecoach" ),
	'priority'    => 10
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'image',
	'settings'    => 'lifecoach_header_backgroundimage',
	'label'       => esc_attr__( 'Default header background image', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'description' => esc_attr__( 'JPG min 1600x500px / max 250Kb', "lifecoach" ),
	'priority'    => 10
));
Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_headerbutton_search',
	'description' => esc_attr__( 'Add "search" button in header bar', "lifecoach" ),
	'label'       => esc_html__( 'Display "search" button', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'default'     => '0',
	'priority'    => 92
));
Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_headerbutton_sidebar',
	'label' => esc_attr__( 'Add Off Canvas Sidebar', "lifecoach" ),
	'description'       => esc_html__( 'Enable another sidebar to add extra widgets, with a burger menu on the header', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'default'     => '0',
	'priority'    => 93
));

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'radio',
	'settings'    => 'lifecoach_header_size',
	'label'       => esc_attr__( 'Header size', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'description' => esc_attr__( 'Affects desktop layout only.', "lifecoach" ),
	'default'     => '',
	'priority'    => 10,
	'choices'     => array(
		'' => esc_attr__( 'Fullscreen', "lifecoach" ),
		'qt-header-short' => esc_attr__( 'Short', "lifecoach" )
	)
));


Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_header_transparent',
	'label'       => esc_attr__( 'Transparent header', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'description' => esc_attr__( 'Search results and other pages will still have normal header color', "lifecoach" ),
	'default'     => '0',
	'priority'    => 10
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'switch',
	'settings'    => 'lifecoach_menu_secondary',
	'label'       => esc_attr__( 'Secondary menu', "lifecoach" ),
	'section'     => 'lifecoach_header_section',
	'description' => esc_attr__( 'Display a secondary menu in header', "lifecoach" ),
	'default'     => '0',
	'priority'    => 10
));



/* = Footer section
=============================================*/

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'text',
	'settings'    => 'lifecoach_footer_text',
	'label'       => esc_attr__( 'Footer text', "lifecoach" ),
	'section'     => 'lifecoach_footer_section',
	'default'     => '',
	'priority'    => 10
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'toggle',
	'settings'    => 'lifecoach_footer_widgets',
	'label'       => esc_attr__( 'Show footer widgets', "lifecoach" ),
	'section'     => 'lifecoach_footer_section',
	'default'     => '1',
	'priority'    => 11
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'image',
	'settings'    => 'lifecoach_footer_backgroundimage',
	'label'       => esc_attr__( 'Footer widgets background image', "lifecoach" ),
	'section'     => 'lifecoach_footer_section',
	'description' => esc_attr__( 'JPG 1600x500px', "lifecoach" ),
	'priority'    => 10
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'image',
	'settings'    => 'lifecoach_logo_footer',
	'label'       => esc_attr__( 'Logo footer', "lifecoach" ),
	'section'     => 'lifecoach_footer_section',
	'priority'    => 10
));


/* = Social section
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_amazon', 'type' => 'text', 'label' => esc_attr__( 'Amazon', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_beatport', 'type' => 'text', 'label' => esc_attr__( 'Beatport', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_bebo', 'type' => 'text', 'label' => esc_attr__( 'Bebo', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_behance', 'type' => 'text', 'label' => esc_attr__( 'Behance', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_blogger', 'type' => 'text', 'label' => esc_attr__( 'Blogger', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_facebook', 'type' => 'text', 'label' => esc_attr__( 'Facebook', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_flickr', 'type' => 'text', 'label' => esc_attr__( 'Flickr', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_googleplus', 'type' => 'text', 'label' => esc_attr__( 'Googleplus', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_instagram', 'type' => 'text', 'label' => esc_attr__( 'Instagram', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_itunes', 'type' => 'text', 'label' => esc_attr__( 'Itunes', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_juno', 'type' => 'text', 'label' => esc_attr__( 'Juno', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_lastfm', 'type' => 'text', 'label' => esc_attr__( 'Lastfm', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_linkedin', 'type' => 'text', 'label' => esc_attr__( 'Linkedin', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_mixcloud', 'type' => 'text', 'label' => esc_attr__( 'Mixcloud', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_space', 'type' => 'text', 'label' => esc_attr__( 'Myspace', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_pinterest', 'type' => 'text', 'label' => esc_attr__( 'Pinterest', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_reverbnation', 'type' => 'text', 'label' => esc_attr__( 'Reverbnation', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_resident-advisor', 'type' => 'text', 'label' => esc_attr__( 'Resident-advisor', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_rss', 'type' => 'text', 'label' => esc_attr__( 'RSS', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_soundcloud', 'type' => 'text', 'label' => esc_attr__( 'Soundcloud', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_triplevision', 'type' => 'text', 'label' => esc_attr__( 'Triplevision', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_tumblr', 'type' => 'text', 'label' => esc_attr__( 'Tumblr', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_twitter', 'type' => 'text', 'label' => esc_attr__( 'Twitter', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_vimeo', 'type' => 'text', 'label' => esc_attr__( 'Vimeo', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_whatpeopleplay', 'type' => 'text', 'label' => esc_attr__( 'Whatpeopleplay', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_wordpress', 'type' => 'text', 'label' => esc_attr__( 'Wordpress', "lifecoach" ), 'section' => 'lifecoach_social_section',));
Kirki2_Kirki::add_field( 'lifecoach_config', array( 'settings' => 'lifecoach_youtube', 'type' => 'text', 'label' => esc_attr__( 'Youtube', "lifecoach" ), 'section' => 'lifecoach_social_section',));



/* = Events section
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'radio',
	'settings'    => 'lifecoach_events_hideold',
	'label'       => esc_attr__( 'Show past events', "lifecoach" ),
	'section'     => 'lifecoach_event_section',
	'description' => esc_attr__( 'Based on the event date attribute', "lifecoach" ),
	'default'     => '0',
	'priority'    => 10,
	'choices'     => array(
		'0' => esc_attr__( 'Yes: show past events', "lifecoach" ),
		'1' => esc_attr__( 'No: hide past events', "lifecoach" )
	)
));

/* = Advanced settings
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'toggle',
	'settings'    => 'lifecoach_enable_debug',
	'label'       => esc_attr__( 'Enable debug settings', "lifecoach" ),
	'description' => esc_attr__( 'Load separated JS instead of minified version and enable console output for javascript. Use in case of issues or custom theme versions', "lifecoach" ),
	'section'     => 'lifecoach_dev_section',
	'default'     => 0,
	'priority'    => 100
));

/* = Typography section
=============================================*/

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'typography',
	'settings'    => 'lifecoach_typography_text',
	'label'       => esc_attr__( 'Basic ', "lifecoach" ),
	'section'     => 'lifecoach_typography',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => 'regular',
		'subsets'        => array( 'latin-ext' ),
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body, html',
			'property' => 'font-family'
		),
	),
) );

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'typography',
	'settings'    => 'lifecoach_typography_text_bold',
	'label'       => esc_attr__( 'Bold texts ', "lifecoach" ),
	'section'     => 'lifecoach_typography',
	'default'     => array(
		'font-family'    => 'Open Sans',
		'variant'        => '700',
		'subsets'        => array( 'latin-ext' ),
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'strong',
			'property' => 'font-family'
		),
	),
) );

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'typography',
	'settings'    => 'lifecoach_typography_headings',
	'label'       => esc_attr__( 'Headings', "lifecoach" ),
	'section'     => 'lifecoach_typography',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => '700',
		'letter-spacing' => '0em',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => ''
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'h1, h2, h3, h4, h5, h6, .qt-capfont ',
			'property' => 'font-family'
		),
	),
) );

Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'typography',
	'settings'    => 'lifecoach_typography_menu',
	'label'       => esc_attr__( 'Menu', "lifecoach" ),
	'section'     => 'lifecoach_typography',
	'default'     => array(
		'font-family'    => 'Montserrat',
		'variant'        => '400',
		'letter-spacing' => '0em',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.qt-menubar-top, .qt-menubar, .qt-side-nav, .qt-menu-footer, .qt-btn, .button',
			'property' => 'font-family'
		),
	),
) );




/* = Colors section
=============================================*/
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_primary_color',
	'label'       => esc_attr__( 'Primary', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#39393a',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_primary_color_light',
	'label'       => esc_attr__( 'Primary light', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#4a4a4e',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_primary_color_dark',
	'label'       => esc_attr__( 'Primary dark', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#27272a',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_accent',
	'label'       => esc_attr__( 'Accent', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#c8943b',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_accent_hover',
	'label'       => esc_attr__( 'Accent hover', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#a98c59',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_secondary',
	'label'       => esc_attr__( 'Secondary', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#578cb1',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_secondary_hover',
	'label'       => esc_attr__( 'Secondary hover', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#2a5776',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_background',
	'label'       => esc_attr__( 'Page background', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#f1f0f8',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_color_paper',
	'label'       => esc_attr__( 'Paper background', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#ffffff',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_textcolor_original',
	'label'       => esc_attr__( 'Text', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#000000',
	'priority'    => 0
));


/* Since 1.2.0 */
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_textcolor_over_primary',
	'label'       => esc_attr__( 'Text color over primary background', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#ffffff',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_textcolor_over_accent',
	'label'       => esc_attr__( 'Text color over accent background', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#ffffff',
	'priority'    => 0
));
Kirki2_Kirki::add_field( 'lifecoach_config', array(
	'type'        => 'color',
	'settings'    => 'lifecoach_textcolor_over_secondary',
	'label'       => esc_attr__( 'Text color over secondary background', "lifecoach" ),
	'section'     => 'lifecoach_colors_section',
	'default'     => '#ffffff',
	'priority'    => 0
));



