<?php  
/**
 * Create sections using the WordPress Customizer API.
 * @package Kirki
 */
if(!function_exists('lifecoach_kirki_sections')){
function lifecoach_kirki_sections( $wp_customize ) {
	$wp_customize->add_section( 'lifecoach_header_section', array(
		'title'       => esc_attr__( 'Header', "lifecoach" ),
		'priority'    => 1
	));
	$wp_customize->add_section( 'lifecoach_colors_section', array(
		'title'       => esc_attr__( 'Colors customization', "lifecoach" ),
		'priority'    => 2,
		'description' => esc_attr__( 'Colors of your website', "lifecoach" ),
	));
	$wp_customize->add_section( 'lifecoach_design', array(
		'title'       => esc_attr__( 'Design customizations', "lifecoach" ),
		'priority'    => 3
	));
	$wp_customize->add_section( 'lifecoach_sidebar_section', array(
		'title'       => esc_attr__( 'Sidebar Customization', "lifecoach" ),
		'priority'    => 101,
	));
	
	$wp_customize->add_section( 'lifecoach_social_section', array(
		'title'       => esc_attr__( 'Social networks', "lifecoach" ),
		'priority'    => 101,
		'description' => esc_attr__( 'Social network profiles', "lifecoach" ),
	));
	$wp_customize->add_section( 'lifecoach_event_section', array(
		'title'       => esc_attr__( 'Events settings', "lifecoach" ),
		'priority'    => 101,
		'description' => esc_attr__( 'Manage the way releases are displayed', "lifecoach" ),
	));	
	

	$wp_customize->add_section( 'lifecoach_typography', array(
		'title'       => esc_attr__( 'Typography', "lifecoach" ),
		'priority'    => 100,
		'description' => esc_attr__( 'Customize font settings', "lifecoach" ),
	));

	
	$wp_customize->add_section( 'lifecoach_404', array(
		'title'       => esc_attr__( '404 error page', "lifecoach" ),
		'priority'    => 100
	));
	$wp_customize->add_section( 'lifecoach_woocommerce', array(
		'title'       => esc_attr__( 'WooCommerce settings', "lifecoach" ),
		'priority'    => 100
	));
	$wp_customize->add_section( 'lifecoach_footer_section', array(
		'title'       => esc_attr__( 'Footer Customization', "lifecoach" ),
		'priority'    => 102,
		'description' => esc_attr__( 'Footer text and functions', "lifecoach" ),
	));
	$wp_customize->add_section( 'lifecoach_dev_section', array(
		'title'       => esc_attr__( 'Debug settings', "lifecoach" ),
		'priority'    => 999,
		'description' => esc_attr__( 'Extra options for debugging', "lifecoach" ),
	));
}}
add_action( 'customize_register', 'lifecoach_kirki_sections' );
