<?php  
/*
Package: lifecoach
Description: Buttons shortcode
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * 
 * Caption medium
 * =============================================
 */
if(!function_exists('lifecoach_buttons_shortcode')){
	function lifecoach_buttons_shortcode ($atts){
		extract( shortcode_atts( array(
			'text' => 'click',
			'link' => '#',
			'size' => 'qt-btn-s',
			'target' => '',
			'style' => 'qt-btn-default',
			'alignment' => '',
			'class' => ''
		), $atts ) );

		if(!function_exists('vc_param_group_parse_atts') ){
			return;
		}



		ob_start();
		?>
		<?php  
		if($alignment == 'aligncenter'){
			?>
			<p class="aligncenter">
			<?php
		}
		?>
		<a href="<?php echo esc_attr($link); ?>" <?php if($target == "_blank"){ ?> target="_blank" <?php } ?> class="qt-btn <?php  echo esc_attr($size.' '.$size.' '.$style.' '.$alignment.' '.$class); ?>"><?php echo esc_attr($text); ?></a>
		<?php  
		if($alignment == 'aligncenter'){
			?>
			</p>
			<?php
		}
		?>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-button","lifecoach_buttons_shortcode");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_buttons_shortcode' );
if(!function_exists('lifecoach_vc_buttons_shortcode')){
function lifecoach_vc_buttons_shortcode() {
  vc_map( array(
	"name" => esc_html__( "Button", "lifecoach" ),
	"base" => "lifecoach-button",
	"icon" => get_template_directory_uri(). '/img/lifecoach-vc-button.png',
	"description" => esc_html__( "Add a button with link", "lifecoach" ),
	"category" => esc_html__( "Theme shortcodes", "lifecoach"),
	"params" => array(
			array(
				'type' => 'textfield',
				'value' => '',
				'heading' => 'Text',
				'param_name' => 'text',
			),
			array(
				'type' => 'textfield',
				'value' => '',
				'heading' => 'Link',
				'param_name' => 'link',
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__( "Link target", "lifecoach" ),
				"param_name" => "target",
				'value' => array( 
					esc_attr__("Same window","lifecoach") => "",
					esc_attr__("New window","lifecoach") => "_blank",
					)			
				),
			array(
				"type" => "dropdown",
				"heading" => esc_html__( "Size", "lifecoach" ),
				"param_name" => "size",
				'value' => array("Small" => "qt-btn-s","Medium" => "qt-btn-m","Large" => "qt-btn-l"),
				"description" => esc_html__( "Button size", "lifecoach" )
			),

			array(
				"type" => "dropdown",
				"heading" => esc_html__( "Button style", "lifecoach" ),
				"param_name" => "style",
				'value' => array( 
					esc_attr__("Default","lifecoach") => "qt-btn-default",
					esc_attr__("Primary","lifecoach") => "qt-btn-primary",
					esc_attr__("Secondary","lifecoach") => "qt-btn-secondary",
					esc_attr__("Ghost","lifecoach") => "qt-btn-ghost",
					)			
				),
			array(
				"type" => "dropdown",
				"heading" => esc_html__( "Alignment", "lifecoach" ),
				"param_name" => "alignment",
				'value' => array( 
								esc_attr__("Default","lifecoach") => "",
								esc_attr__("Left","lifecoach") => "alignleft",
								esc_attr__("Right","lifecoach") => "alignright",
								esc_attr__("Center","lifecoach") => "aligncenter",
								),
				"description" => esc_html__( "Button style", "lifecoach" )
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Class", "lifecoach" ),
				"param_name" => "class",
				'value' => '',
				'description' => 'add an extra class for styling with CSS'
			)
		)
  	));
}}
