<?php  
/*
Package: lifecoach
Description: Captions shortcodes
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/


/**
 * 
 * Caption large
 * =============================================
 */
if(!function_exists('lifecoach_caption_large')){
	function lifecoach_caption_large ($atts){
		extract( shortcode_atts( array(
			'title' => '',
			'class' => '',
			'subtitle' => '',
		), $atts ) );
		ob_start();
		?>
		<div class="qt-center">		
			<div class="qt-caption qt-center qt-caption-shortcode">
				<?php if($title){ ?>		
					<h1><?php echo esc_attr($title); ?></h1>
				<?php } ?>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-caption-large","lifecoach_caption_large");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_caption_large' );
if(!function_exists('lifecoach_vc_caption_large')){
function lifecoach_vc_caption_large() {
  vc_map( array(
	 "name" => esc_html__( "Caption large", "lifecoach" ),
	 "base" => "lifecoach-caption-large",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-captions.png',
	 "description" => esc_html__( "Section caption", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Text", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}



/**
 * 
 * Caption medium
 * =============================================
 */
if(!function_exists('lifecoach_caption_med')){
	function lifecoach_caption_med ($atts){
		extract( shortcode_atts( array(
			'title' => '',
			'class' => '',
			'subtitle' => '',
		), $atts ) );
		ob_start();
		?>
		<div class="qt-caption-med">
			<div class="qt-caption-med-center <?php echo esc_attr($class); ?>">
				<?php if($title){ ?>		
					<h2><?php echo esc_attr($title); ?></h2>
				<?php } ?>
				<?php if($subtitle){ ?>		
					<hr>
					<h4><?php echo esc_attr($subtitle); ?></h4>
				<?php } ?>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-caption-med","lifecoach_caption_med");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_caption_med' );
if(!function_exists('lifecoach_vc_caption_med')){
function lifecoach_vc_caption_med() {
  vc_map( array(
	 "name" => esc_html__( "Caption medium", "lifecoach" ),
	 "base" => "lifecoach-caption-med",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-captions.png',
	 "description" => esc_html__( "Section caption", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Text", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Subtitle", "lifecoach" ),
		   "param_name" => "subtitle",
		   'value' => ''
		)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}

/**
 * 
 * Caption small
 * =============================================
 */
if(!function_exists('lifecoach_caption_small')){
	function lifecoach_caption_small ($atts){
		extract( shortcode_atts( array(
			'class' => '',
			'title' => ''
		), $atts ) );
		ob_start();
		?>
	  	<h5 class="qt-inline-textdeco qt-capfont"><span><?php echo esc_attr($title); ?></span></h5>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("qt-caption-small","lifecoach_caption_small");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_lifecoach_caption_small' );
if(!function_exists('lifecoach_vc_lifecoach_caption_small')){
function lifecoach_vc_lifecoach_caption_small() {
  vc_map( array(
	 "name" => esc_html__( "Caption small", "lifecoach" ),
	 "base" => "qt-caption-small",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-captions.png',
	 "description" => esc_html__( "Section caption small", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Text", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}




/**
 * 
 * Caption square
 * =============================================
 */
if(!function_exists('lifecoach_caption_squares')){
	function lifecoach_caption_squares ($atts){
		extract( shortcode_atts( array(
			'class' => '',
			'title' => ''
		), $atts ) );
		ob_start();
		?>
		<div class="qt-featured-section">
			<div class="qt-featured-section-col">
				<h2 class="qt-featured-title">
					<span><?php echo esc_attr($title); ?></span>
				</h2>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("qt-caption-squares","lifecoach_caption_squares");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_lifecoach_caption_squares' );
if(!function_exists('lifecoach_vc_lifecoach_caption_squares')){
function lifecoach_vc_lifecoach_caption_squares() {
  vc_map( array(
	 "name" => esc_html__( "Caption Squares", "lifecoach" ),
	 "base" => "qt-caption-squares",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-captions.png',
	 "description" => esc_html__( "Special caption with squares decoration", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Text", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}





/**
 * 
 * Spacer
 * =============================================
 */
if(!function_exists('lifecoach_spacer')){
	function lifecoach_spacer ($atts){
		extract( shortcode_atts( array(
			'size' => 's',
		), $atts ) );
		if($size !== 's' && $size !== 'm' && $size !== 'l') {
			$size = 's';
		}
		ob_start();
		?>
			<hr class="qt-spacer-<?php echo esc_attr($size); ?>">
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-spacer","lifecoach_spacer");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_spacer' );
if(!function_exists('lifecoach_vc_spacer')){
function lifecoach_vc_spacer() {
  vc_map( array(
	 "name" => esc_html__( "Spacer", "lifecoach" ),
	 "base" => "lifecoach-spacer",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-spacers.png',
	 "description" => esc_html__( "Spacer", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(
		array(
		   "type" => "dropdown",
		   "heading" => esc_html__( "Size", "lifecoach" ),
		   "param_name" => "size",
		   'value' => array("s", "m", "l"),
		   "description" => esc_html__( "Empty spacer separator", "lifecoach" )
		)
	 )
  ) );
}}