<?php
/*
Package: LifeCoach
Description: Slideshow shortcode parameters
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_short_courses')) {
	function lifecoach_short_courses($atts){
		extract( shortcode_atts( array(
				'course_category' => false,
				'offset' => 0,
				'quantity' => 3
		), $atts ) );

		if(!is_numeric($quantity)) {
			$quantity = 4;
		}
		if(!is_numeric($offset)) {
			$offset = 0;
		}

		ob_start();
		/**
		 *  Query for my content
		 */
		$args = array(
			'post_type' => 'lp_course',
			'posts_per_page' => $quantity,
			'post_status' => 'publish',
			'paged' => 1,
			'suppress_filters' => false,
			'ignore_sticky_posts' => 1,
			'offset' => esc_attr($offset),
		);

		/**
		 * Add category parameters to query if any is set
		 */
		if (false !== $course_category && 'all' !== $course_category) {
			$args[ 'tax_query'] = array(
            	array(
                    'taxonomy' => 'course_category',
                    'field' => 'slug',
                    'terms' => array(esc_attr($course_category)),
                    'operator'=> 'IN' //Or 'AND' or 'NOT IN'
             	)
            );
		}

		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );
		?><div class="row"><?php  
		/**
		 * Loop start
		 */
		if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
			$post = $wp_query->post;
			setup_postdata( $post );
			?>
			<div class="col s12 m4">
				<?php get_template_part (  'phpincludes/part-archive-item-course'); ?>
			</div>
			<?php
		endwhile; endif;
		wp_reset_postdata();
		?></div><?php  
		/**
		 * Loop end;
		 */
		
		return ob_get_clean();
	}
}

if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("qt-courses","lifecoach_short_courses");
}


/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_short_courses_vc' );
if(!function_exists('lifecoach_short_courses_vc')){
function lifecoach_short_courses_vc() {
  vc_map( array(
     "name" => esc_html__( "Courses", "lifecoach" ),
     "base" => "qt-courses",
     "icon" => get_template_directory_uri(). '/img/lifecoach-vc-courses.png',
     "description" => esc_html__( "Grid of courses", "lifecoach" ),
     "category" => esc_html__( "Theme shortcodes", "lifecoach"),
     "params" => array(
      	array(
           "type" => "textfield",
           "heading" => esc_html__( "Quantity", "lifecoach" ),
           "param_name" => "quantity",
           "description" => esc_html__( "Number of courses to display", "lifecoach" )
        ),
        array(
           "type" => "textfield",
           "heading" => esc_html__( "Filter by course category (slug)", "lifecoach" ),
           "description" => esc_html__("Instert the slug of a category to filter the results","lifecoach"),
           "param_name" => "course_category"
        ),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Offset (number)", "lifecoach" ),
		   "description" => esc_html__("Number of posts to skip in the database query","lifecoach"),
		   "param_name" => "offset"
		)
     )
  ) );
}}