<?php  
/*
Package: lifecoach
Description: Featured list shortcodes
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * 
 * Featured list with titles links and bullet list
 * =============================================
 */
if(!function_exists('lifecoach_featured_list')){
	function lifecoach_featured_list ($atts){
		extract( shortcode_atts( array(
			'class' => '',
			'subtitle' => '',
			'title' => '',
			'link' => false,
			'buttontext' => '',
			'items' => array(),
		), $atts ) );
		ob_start();

		if(!function_exists('vc_param_group_parse_atts') ){
			return;
		}
		if(is_array($atts)){
			if(array_key_exists("items", $atts)){
				$items = vc_param_group_parse_atts( $atts['items'] );
			}
		}

		?>
		<div class="qt-featured-section <?php echo esc_html($class); ?>">
					
					<div class="qt-featured-section-col">
						<?php if($subtitle != ''){ ?>
							<h5 class="qt-inline-textdeco"><span><?php echo esc_html($subtitle); ?></span></h5>
						<?php } ?>
						<?php if($title != ''){ ?>
							<h3 class="qt-bottom-textdeco qt-vertical-padding-s">

							<?php if($link){ ?><a href="<?php echo esc_url($link); ?>"><?php } ?>
								<?php echo esc_html($title); ?>
							<?php if($link){ ?></a><?php } ?>

							</h3>
						<?php } ?>
						<ul class="qt-list-featured">
							<?php  
							if(is_array($items)){
							foreach($items as $item){
								if(array_key_exists("text", $item)){
								?>
								<li><?php echo esc_html($item["text"]); ?></li>
								<?php
								}
							}}
							?>
						</ul>
						<?php if($buttontext != ''){ ?>
							<a href="<?php echo esc_url($link); ?>" class="qt-btn qt-btn-primary waves-effect"><i class="dripicons-arrow-thin-right"></i> <?php echo esc_html($buttontext); ?></a>
						<?php } ?>
					</div>
				</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-featuredlist","lifecoach_featured_list");
}







/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_featured_list' );
if(!function_exists('lifecoach_vc_featured_list')){
function lifecoach_vc_featured_list() {
  vc_map( array(
	 "name" => esc_html__( "Featured list", "lifecoach" ),
	 "base" => "lifecoach-featuredlist",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-featuredlist.png',
	 "description" => esc_html__( "Create a featured list section with titles and link", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Title", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Subtitle", "lifecoach" ),
		   "param_name" => "subtitle",
		   'value' => ''
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Link URL", "lifecoach" ),
		   "param_name" => "link",
		   'value' => ''
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Button text", "lifecoach" ),
		   "param_name" => "buttontext",
		   'value' => ''
		),
		array(
			'type' => 'param_group',
			'value' => '',
			'param_name' => 'items',
			'params' => array(
				array(
					'type' => 'textfield',
					'value' => '',
					'heading' => 'Enter item content',
					'param_name' => 'text',
				)
			)
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		),
	 )
  ) );
}}