<?php  
/*
Package: lifecoach
Description: Herobox shortcode
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * 
 * Caption medium
 * =============================================
 */
if(!function_exists('lifecoach_herobox')){
	function lifecoach_herobox ($atts){
		extract( shortcode_atts( array(
			'titles' => array(),
			'class' => '',
			'subtitle' => '',
		), $atts ) );

		if(!function_exists('vc_param_group_parse_atts') ){
			return;
		}
		$titles = array();
		if(is_array($atts)){
			if(array_key_exists("titles", $atts)){
				$titles = vc_param_group_parse_atts( $atts['titles'] );
			}
		}

		ob_start();
		?>
		<div class="qt-herobox <?php echo esc_html($class); ?>">
			<div class="qt-titlesbox">
				<h1>
				<?php  
				if(is_array($titles)){
					foreach($titles as $title){
						if(array_key_exists("text", $title)){
						?>
						<span class="qt-fontsize-<?php echo esc_html($title["size"]); ?>"><?php echo esc_html($title["text"]); ?></span>
						<?php
						}
				}}
				?>
				</h1>
			</div>
		</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-herobox","lifecoach_herobox");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_herobox' );
if(!function_exists('lifecoach_vc_herobox')){
function lifecoach_vc_herobox() {
  vc_map( array(
	 "name" => esc_html__( "Hero Box", "lifecoach" ),
	 "base" => "lifecoach-herobox",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-herobox.png',
	 "description" => esc_html__( "Very huge captions", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(

		array(
				'type' => 'param_group',
				'value' => '',
				'param_name' => 'titles',
				// Note params is mapped inside param-group:
				'params' => array(
					array(
						'type' => 'textfield',
						'value' => '',
						'heading' => 'Enter your title(multiple field)',
						'param_name' => 'text',
					)
					,array(
					   "type" => "dropdown",
					   "heading" => esc_html__( "Size", "lifecoach" ),
					   "param_name" => "size",
					   'value' => array("h1", "h2", "h3", "h4", "h5", "h6" ),
					   "description" => esc_html__( "Title size", "lifecoach" )
					),
				)
			)
		,array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}
