<?php  
/*
Package: lifecoach
Description: Hero list shortcode
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

/**
 * 
 * Caption medium
 * =============================================
 */
if(!function_exists('lifecoach_herolist')){
	function lifecoach_herolist ($atts){
		extract( shortcode_atts( array(
			'items' => array(),
			'title' => '',
			'class' => '',
			'subtitle' => '',
		), $atts ) );
		if(!function_exists('vc_param_group_parse_atts') ){
			return;
		}
		if(is_array($atts)){
			if(array_key_exists("items", $atts)){
				$items = vc_param_group_parse_atts( $atts['items'] );
			}
		}
		ob_start();
		?>
		<div class="qt-herolist <?php echo esc_html($class); ?>">
			<h3 class="qt-inline-textdeco qt-herolist-title"><span><?php echo esc_attr($title); ?></span></h3>
			<?php 
			if(is_array($items)){
			foreach($items as $item){
				if(array_key_exists("text", $item)){

				?>
					<p><i class="qticon-checkmark"></i> <?php echo esc_html($item["text"]); ?></p>
				<?php

				}
			}}
			?>
		</div>
		<?php
		return ob_get_clean();
	}
}
if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-herolist","lifecoach_herolist");
}
/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_herolist' );
if(!function_exists('lifecoach_vc_herolist')){
function lifecoach_vc_herolist() {
  vc_map( array(
	 "name" => esc_html__( "Hero List", "lifecoach" ),
	 "base" => "lifecoach-herolist",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-featuredlist.png',
	 "description" => esc_html__( "Title with bullet list", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Title", "lifecoach" ),
		   "param_name" => "title",
		   'value' => ''
		),
		array(
			'type' => 'param_group',
			'value' => '',
			'param_name' => 'items',
			'params' => array(
				array(
					'type' => 'textfield',
					'value' => '',
					'heading' => 'Enter item content',
					'param_name' => 'text',
				)
			)
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Class", "lifecoach" ),
		   "param_name" => "class",
		   'value' => '',
		   'description' => 'add an extra class for styling with CSS'
		)
	 )
  ) );
}}
