<?php
/*
Package: LifeCoach
Description: Slideshow shortcode parameters
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_post_grid')) {
	function lifecoach_post_grid($atts){
		extract( shortcode_atts( array(
				'posttype' => 'post',
				'category' => false,
				'offset' => 0,
				'quantity' => 4
		), $atts ) );

		if(!is_numeric($quantity)) {
			$quantity = 4;
		}
		if(!is_numeric($offset)) {
			$offset = 0;
		}

		ob_start();
		/**
		 *  Query for my content
		 */
		$args = array(
			'post_type' => 'post',
			'posts_per_page' => $quantity,
			'post_status' => 'publish',
			'paged' => 1,
			'suppress_filters' => false,
			'ignore_sticky_posts' => 1,
			'offset' => esc_attr($offset),
			'meta_key' => '_thumbnail_id'
		);

		/**
		 * Add category parameters to query if any is set
		 */
		if (false !== $category && 'all' !== $category) {
			$args[ 'tax_query'] = array(
            		array(
                    'taxonomy' => esc_attr( lifecoach_get_type_taxonomy( $posttype ) ),
                    'field' => 'slug',
                    'terms' => array(esc_attr($category)),
                    'operator'=> 'IN' //Or 'AND' or 'NOT IN'
             	)
            );
		}

		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );
		?><div class="row"><?php  
		/**
		 * Loop start
		 */
		if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
			$post = $wp_query->post;
			setup_postdata( $post );
			?>
			<div class="col s12 m6 l3">
				<?php get_template_part (  'phpincludes/part-archive-item-post-small-text'); ?>
			</div>
			<?php
		endwhile; endif;
		wp_reset_postdata();
		?></div><?php  
		/**
		 * Loop end;
		 */
		
		return ob_get_clean();
	}
}

if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("qt-post-grid","lifecoach_post_grid");
}


/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_post_grid' );
if(!function_exists('lifecoach_vc_post_grid')){
function lifecoach_vc_post_grid() {
  vc_map( array(
     "name" => esc_html__( "Post Grid", "lifecoach" ),
     "base" => "qt-post-grid",
     "icon" => get_template_directory_uri(). '/img/lifecoach-vc-posthero.png',
     "description" => esc_html__( "Grid of posts", "lifecoach" ),
     "category" => esc_html__( "Theme shortcodes", "lifecoach"),
     "params" => array(
      	array(
           "type" => "dropdown",
           "heading" => esc_html__( "Quantity", "lifecoach" ),
           "param_name" => "quantity",
           'value' => array("4", "8", "12", "16", "20"),
           "description" => esc_html__( "Number of posts to display", "lifecoach" )
        ),
        array(
           "type" => "textfield",
           "heading" => esc_html__( "Filter by category (slug)", "lifecoach" ),
           "description" => esc_html__("Instert the slug of a category to filter the results","lifecoach"),
           "param_name" => "category"
        ),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Offset (number)", "lifecoach" ),
		   "description" => esc_html__("Number of posts to skip in the database query","lifecoach"),
		   "param_name" => "offset"
		)
     )
  ) );
}}