<?php
/*
Package: lifecoach
Description: Slideshow shortcode parameters
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_post_hero')) {
	function lifecoach_post_hero($atts){
		extract( shortcode_atts( array(
				'id' => false,
				'posttype' => 'post',
				'category' => false,
				'offset' => 0,
				'quantity' => 1
		), $atts ) );


		if(!is_numeric($quantity)){
			$quantity = 1;
		}
		if(!is_numeric($offset)) {
			$offset = 0;
		}

		ob_start();
		/**
		 *  Query for my content
		 */
		
		if(is_numeric($id)){
			/**
			 * We have an ID, only extract that one
			 */
			$args = array(
			'p' => intval($id), // id of a page, post, or custom type
			'post_type' => 'any');
		} else {
			/**
			 * If the ID is not passed via Shortcode, we grab the first event upcoming
			 */
			$args = array(
				'post_type' => 'post',
				'posts_per_page' => $quantity,
				'post_status' => 'publish',
				'paged' => 1,
				'suppress_filters' => false,
				'offset' => esc_attr($offset),
				'ignore_sticky_posts' => 1
			);

			/**
			 * Add category parameters to query if any is set
			 */
			if (false !== $category && 'all' !== $category) {
				$args[ 'tax_query'] = array(
	            	array(
	                    'taxonomy' => esc_attr( lifecoach_get_type_taxonomy( $posttype ) ),
	                    'field' => 'slug',
	                    'terms' => array(esc_attr($category)),
	                    'operator'=> 'IN' //Or 'AND' or 'NOT IN'
	             	)
	            );
			}
		}

		/**
		 * [$wp_query execution of the query]
		 * @var WP_Query
		 */
		$wp_query = new WP_Query( $args );
		
		/**
		 * Loop start
		 */
		if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
			$post = $wp_query->post;
			setup_postdata( $post );
			get_template_part (  'phpincludes/part-archive-item-post-hero');
		endwhile; endif;
		wp_reset_postdata();
		/**
		 * Loop end;
		 */
		
		return ob_get_clean();
	}
}

if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-posthero","lifecoach_post_hero");
}

/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_post_hero' );
if(!function_exists('lifecoach_vc_post_hero')){
function lifecoach_vc_post_hero() {
  vc_map( array(
     "name" => esc_html__( "Post Hero", "lifecoach" ),
     "base" => "lifecoach-posthero",
     "icon" => get_template_directory_uri(). '/img/lifecoach-vc-posthero.png',
     "description" => esc_html__( "Fullwidth post hero list", "lifecoach" ),
     "category" => esc_html__( "Theme shortcodes", "lifecoach"),
     "params" => array(
      	array(
           "type" => "textfield",
           "heading" => esc_html__( "ID", "lifecoach" ),
           "description" => esc_html__( "Optional event ID, if not specified will always show the first upcoming event", "lifecoach" ),
           "param_name" => "id"
        ),
        array(
           "type" => "textfield",
           "heading" => esc_html__( "Filter by category", "lifecoach" ),
           "description" => esc_html__("Instert the slug of a category to always display the last post of that category.","lifecoach"),
           "param_name" => "category"
        ),
        array(
           "type" => "textfield",
           "heading" => esc_html__( "Quantity (number)", "lifecoach" ),
           "param_name" => "quantity",
           "description" => esc_html__( "Number of posts to display", "lifecoach" )
        ),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Offset (number)", "lifecoach" ),
		   "description" => esc_html__("Number of posts to skip in the database query","lifecoach"),
		   "param_name" => "offset"
		)
     )
  ) );
}}