<?php
/*
Package: LifeCoach
Description: Events slider based on MaterializeCss slideshow
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_slideshow_events')) {
	function lifecoach_slideshow_events($atts){

		extract( shortcode_atts( array(
				'id' => false,
				'quantity' => 3,
				'buttontext' => 'More info',
				'category' => false
		), $atts ) );

		if(!is_numeric($quantity)) {
			$quantity = 3;
		}

		ob_start();
			?>
			<!-- SLIDESHOW EVENTS ========================= -->
			 <div class="slider qt-material-slider qt-events-slider">
				<ul class="slides">
					<?php  
					/**
					 *  Query for my content
					 */
					$args = array(
						'post_type' => 'event',
						'posts_per_page' => esc_attr($quantity),
						'post_status' => 'publish',
						'paged' => 1,
						'suppress_filters' => false,
						'ignore_sticky_posts' => 1,
					);

					// ========== EVENTS ONLY QUERY =================
		
					$args['orderby'] = 'meta_value';
					$args['order']   = 'ASC';
					$args['meta_key'] = 'eventdate';
					$args['meta_query'] = array(
						array(
							'key' => 'eventdate',
							'value' => date('Y-m-d'),
							'compare' => '>=',
							'type' => 'date'
						 )
					);
					
					
					// ========== END OF EVENTS ONLY QUERY =================

					/**
					 * Add category parameters to query if any is set
					 */
					if (false !== $category && 'all' !== $category) {
						$args[ 'tax_query'] = array(
								array(
								'taxonomy' =>  'eventtype',
								'field' => 'slug',
								'terms' => array(esc_attr($category)),
								'operator'=> 'IN' //Or 'AND' or 'NOT IN'
							)
						);
					}
					
					/**
					 * [$wp_query execution of the query]
					 * @var WP_Query
					 */
					$wp_query = new WP_Query( $args );
					/**
					 * Loop start
					 */
					
					add_filter( "excerpt_length", "lifecoach_excerpt_length", 999 );

					if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
						$post = $wp_query->post;
						setup_postdata( $post );
						?>
						 <!-- event item -->
							<li>
								<div class="qt-slider-caption  qt-vc qt-content-desk">
									<div class="qt-vi">
										<div class="qt-texts">
											<h3 class="qt-bottom-textdeco"><span>
												<?php  
												$term = get_term_by( 'slug', $category , 'eventtype' );
												if(is_object($term)){
													echo esc_attr($term->name).' ';
												} else {
													echo esc_attr__("Events","lifecoach"); 
												}
												?>
											</span></h3>
											<h2 class="qt-capfont qt-spacer-m qt-fontsize-h1 qt-capfont">
												<?php  
												echo esc_attr(date_i18n( "d M Y", strtotime( get_post_meta($post->ID, "eventdate", true) )))
												?>
											</h2>
											<h3 class="qt-linktitle"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
											<p class="qt-intro">
												<?php 
													/**
													 * City and town
													 */
													echo esc_attr(get_post_meta( get_the_ID(), 'qt_location',true)); 

													$city = get_post_meta(get_the_ID(), 'qt_city',true);
													if($city != ''){
														?> [<?php
														echo esc_attr(get_post_meta(get_the_ID(), 'qt_city',true));
														?>]<?php
													}
												?>
											</p>
											<p class="qt-textcont hide-on-small-only">
												<?php echo esc_html(get_the_excerpt()); ?>
											</p>
											<a href="<?php the_permalink();  ?>" class="qt-btn qt-btn qt-btn-primary waves-effect"><?php echo esc_html($buttontext); ?></a>
										</div>
									</div>
								</div>
								<?php if (has_post_thumbnail()){ ?>
							        <div class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url( 'qantumthemes-large' ); ?>" data-parallax="0">
							            <?php the_post_thumbnail( 'qantumthemes-large' ); ?>
							        </div>
						     	<?php } ?>
							</li>
						<!-- event item end -->
						<?php
					endwhile; endif;
					wp_reset_postdata();
					remove_filter( "excerpt_length", "lifecoach_excerpt_length", 999 );

					?>
				</ul>
				<div class="qt-control-arrows">
					<a href="#!" class="qt-btn qt-btn-l qt-btn-secondary prev qt-slideshow-link waves-effect"><i class="dripicons-chevron-left"></i></a>
					<a href="#!" class="qt-btn qt-btn-l qt-btn-secondary next qt-slideshow-link waves-effect"><i class="dripicons-chevron-right"></i></a>
				</div>
			</div>
			<!-- SLIDESHOW TESTIMONIAL END ========================= -->
			<?php
		return ob_get_clean();
	}
}



if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-slideshow-events","lifecoach_slideshow_events");
}



/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_slideshow_events' );
if(!function_exists('lifecoach_vc_slideshow_events')){
function lifecoach_vc_slideshow_events() {
  vc_map( array(
	 "name" => esc_html__( "Events Slideshow", "lifecoach" ),
	 "base" => "lifecoach-slideshow-events",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-events.png',
	 "description" => esc_html__( "Automatic slideshow of events", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(
		array(
		   "type" => "dropdown",
		   "heading" => esc_html__( "Maximum amount of events", "lifecoach" ),
		   "param_name" => "quantity",
		   'value' => array("3", "5", "7", "9", "12"),
		   "description" => esc_html__( "Number of items to display", "lifecoach" )
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Text of the 'Read More' button", "lifecoach" ),
		   "param_name" => "buttontext"
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Filter by category (slug)", "lifecoach" ),
		   "description" => esc_html__("Instert the slug of a event category to filter the results.","lifecoach"),
		   "param_name" => "category"
		)
	 )
  ) );
}}

