<?php
/*
Package: LifeCoach
Description: Testimonial slider based on MaterializeCss slideshow
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_slideshow_testimonial')) {
	function lifecoach_slideshow_testimonial($atts){

		extract( shortcode_atts( array(
				'id' => false,
				'quantity' => 3,
				'category' => false
		), $atts ) );

		if(!is_numeric($quantity)) {
			$quantity = 3;
		}

		ob_start();
			?>
			<!-- SLIDESHOW TESTIMONIAL ========================= -->
			 <div class="slider qt-material-slider qt-testimonial-slider">
				<ul class="slides">
					<?php  
					/**
					 *  Query for my content
					 */
					$args = array(
						'post_type' => 'testimonial',
						'posts_per_page' => esc_attr($quantity),
						'post_status' => 'publish',
						'paged' => 1,
						'suppress_filters' => false,
						'ignore_sticky_posts' => 1,
					);

					/**
					 * Add category parameters to query if any is set
					 */
					if (false !== $category && 'all' !== $category) {
						$args[ 'tax_query'] = array(
								array(
								'taxonomy' => 'testimonial-category',
								'field' => 'slug',
								'terms' => array(esc_attr($category)),
								'operator'=> 'IN' //Or 'AND' or 'NOT IN'
							)
						);
					}
					
					/**
					 * [$wp_query execution of the query]
					 * @var WP_Query
					 */
					$wp_query = new WP_Query( $args );
					/**
					 * Loop start
					 */
					if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
						$post = $wp_query->post;
						setup_postdata( $post );
						?>
						<li>
							<div class="qt-slider-caption qt-vc qt-text-white">
								<div class="qt-vi">
									<div class="qt-texts">
										<h3 class="qt-bottom-textdeco"><span><?php echo esc_attr__("Testimonial", "lifecoach"); ?></span></h3>
										<h2 class="qt-textcont qt-thin qt-italic">
											<?php the_title(); ?>
										</h2>
										<h4 class="qt-authorname"><a href="<?php the_permalink(); ?>"><?php echo get_post_meta(get_the_ID(), "author", true); ?></a></h4>
									</div>
								</div>
							</div>
							<?php if (has_post_thumbnail()){ ?>
								<div class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url( 'qantumthemes-large' ); ?>" data-parallax="0">
									<?php the_post_thumbnail( 'qantumthemes-large' ); ?>
								</div>
							<?php } ?>
						</li>
						<?php
					endwhile; endif;
					wp_reset_postdata();
					?>
				</ul>
				<div class="qt-control-arrows">
					<a href="#!" class="qt-btn qt-btn-l qt-btn-secondary prev qt-slideshow-link waves-effect"><i class="dripicons-chevron-left"></i></a>
					<a href="#!" class="qt-btn qt-btn-l qt-btn-secondary next qt-slideshow-link waves-effect"><i class="dripicons-chevron-right"></i></a>
				</div>
			</div>
			<!-- SLIDESHOW TESTIMONIAL END ========================= -->
			<?php
		return ob_get_clean();
	}
}



if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-slideshow-testimonial","lifecoach_slideshow_testimonial");
}



/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_slideshow_testimonial' );
if(!function_exists('lifecoach_vc_slideshow_testimonial')){
function lifecoach_vc_slideshow_testimonial() {
  vc_map( array(
	 "name" => esc_html__( "Testimonial Slideshow", "lifecoach" ),
	 "base" => "lifecoach-slideshow-testimonial",
	 "icon" => get_template_directory_uri(). '/img/lifecoach-vc-testimonials.png',
	 "description" => esc_html__( "Automatic slideshow of testimonials", "lifecoach" ),
	 "category" => esc_html__( "Theme shortcodes", "lifecoach"),
	 "params" => array(
		array(
		   "type" => "dropdown",
		   "heading" => esc_html__( "Quantity", "lifecoach" ),
		   "param_name" => "quantity",
		   'value' => array("3", "5", "7"),
		   "description" => esc_html__( "Number of items to display", "lifecoach" )
		),
		array(
		   "type" => "textfield",
		   "heading" => esc_html__( "Filter by category (slug)", "lifecoach" ),
		   "description" => esc_html__("Instert the slug of a testimonial category to filter the results.","lifecoach"),
		   "param_name" => "category"
		)
	 )
  ) );
}}

