<?php  
/*
Package: lifecoach
Description: Sponsors shortcode
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/

if(!function_exists('lifecoach_short_sponsors')) {
	function lifecoach_short_sponsors($atts){
		extract( shortcode_atts( array(
			'quantity' => '-1',
			'itemsrow' => 4,
			'class' => ''
		), $atts ) );


		ob_start();
		?>
		<!-- SLIDESHOW SPONSORS ================================================== -->
		<div class="qt-vertical-padding-m qt-sponsors  <?php echo esc_html($class); ?>">
			<div class="qt-slickslider-container qt-slickslider-externalarrows qt-slickslider-fullscreen">
				<div class="row">
					<div class="qt-slickslider qt-slickslider-multiple qt-text-shadow " data-slidestoshow="<?php echo esc_attr($itemsrow); ?>" data-arrowsipad="false" data-dotsipad="false" data-slidestoshowipad="3" data-variablewidth="false" data-arrows="true" data-dots="false" data-infinite="true" data-centermode="false" data-pauseonhover="true" data-autoplay="true" data-arrowsmobile="false"  data-centermodemobile="true" data-dotsmobile="false"  data-slidestoshowmobile="1" data-variablewidthmobile="true" data-infinitemobile="false">
						<?php  
						/**
						 * [$args Query arguments]
						 * @var array
						 */
						$args = array(
							'post_type' => 'qtsponsor',
							'posts_per_page' => esc_attr($quantity),
							'post_status' => 'publish',
							'orderby' => array ( 'menu_order' => 'ASC', 'date' => 'DESC'),
							'suppress_filters' => false,
							'paged' => 1
						);
						/**
						 * [$wp_query execution of the query]
						 * @var WP_Query
						 */
						$wp_query = new WP_Query( $args );
						if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
							if (has_post_thumbnail()){ ?>
							<div class="qt-item">
								<a href="<?php echo esc_attr(get_post_meta($wp_query->post->ID, "linkurl", true)); ?>" target="_blank" rel="nofollow" class="qt-sponsor" >
									 <?php the_post_thumbnail( 'qantumthemes-medium',  array( 'title' => get_the_title(), 'alt' => get_the_title() ) ); ?>
								</a>
							</div>
							<?php 
							} 
						endwhile; endif;
						wp_reset_postdata();
						?>            
					</div>
				</div>
			</div>
			<hr class="qt-spacer-s">
		</div>
		<!-- SLIDESHOW SPONSORS END ================================================== -->
		<?php  
		return ob_get_clean();
}}

if(function_exists('ttg_custom_shortcode')) {
	ttg_custom_shortcode("lifecoach-sponsors","lifecoach_short_sponsors");
}




/**
 *  Visual Composer integration
 */
add_action( 'vc_before_init', 'lifecoach_vc_short_sponsors' );
if(!function_exists('lifecoach_vc_short_sponsors')){
function lifecoach_vc_short_sponsors() {
  vc_map( array(
	"name" => esc_html__( "Sponsors carousel", "lifecoach" ),
	"base" => "lifecoach-sponsors",
	"icon" => get_template_directory_uri(). '/img/lifecoach-vc-carousel.png',
	"description" => esc_html__( "Carousel of clickable sponsors", "lifecoach" ),
	"category" => esc_html__( "Theme shortcodes", "lifecoach"),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => esc_html__( "Quantity", "lifecoach" ),
			"param_name" => "quantity",
			'value' => array("6","8","10", "15", "20", "25"),
			"description" => esc_html__( "Number of posts to display", "lifecoach" )
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__( "Items per row", "lifecoach" ),
			"param_name" => "itemsrow",
			'def' => "6",
			'value' => array("4", "6"),
			"description" => esc_html__( "Number of items to show in a row", "lifecoach" )
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__( "Class", "lifecoach" ),
			"param_name" => "class",
			'value' => '',
			'description' => 'add an extra class for styling with CSS'
		)
   )
  ) );
}}
