<?php
/*
Package: LifeCoach
Description: WooCommerce template
Version: 1.2.2
Author: Themes2Go
Author URI: http://themes2go.xyz
*/
?>
<?php 
get_header(); 
get_template_part( 'phpincludes/menu');



$pageid = lifecoach_universal_page_id(); 

?>
	<div id="maincontent" class="qt-main qt-woocommerce-container">
		
		<?php if(get_post_meta($pageid,"lifecoach_remove_header",true) !== "1"){ ?>
		<div class="qt-pageheader qt-negative">
			<div class="qt-vc">
				<div class="qt-vi" data-top="opacity:1" data--100-top="opacity:0">
					<div class="qt-container">
						<h1 class="qt-caption qt-spacer-s">
							<?php 
								if(is_product()){ 
									the_title();
								} elseif (is_product_category() || is_product_tag() ){
									$termname = '';
									$term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
									if(is_object($term)){
										echo esc_attr($term->name);
									} 
								} else {
									echo esc_attr(
								 	get_theme_mod(
								 		 'lifecoach_shop_title', 
								 		 esc_attr__("Shop", "lifecoach") 
								 		)
								 	);
								} 
							?>
						</h1>
					</div>
					<hr class="qt-spacer-s">
					<a href="#qtcontents" class="qt-smoothscroll"><i class="dripicons-chevron-down qt-scroll-indicator"></i></a>
				</div>
			</div>
			<?php  
			/**
			 * Woocommerce featured image of shop page
			 * @var [string]
			 */
			// https://gist.github.com/Bradley-D/7287723
			$woocommerce_image_url = get_the_post_thumbnail_url( $pageid, 'lifecoach-xl'  ); 
			if ( is_product_category() ){
				global $wp_query;
			    $cat = $wp_query->get_queried_object();
			    $thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true );
			    $woocommerce_image_url = wp_get_attachment_url( $thumbnail_id );
			}
			if($woocommerce_image_url == "" || !$woocommerce_image_url){
				$woocommerce_image_url = get_theme_mod( 'lifecoach_header_backgroundimage', '' );
			}
			?>
			<div class="qt-header-bg" data-bgimage="<?php echo esc_url($woocommerce_image_url); ?>" data-bgattachment="" data-parallax="<?php if(lifecoach_get_universal_header_size() !== 'qt-header-short'){ ?>1<?php } ?>">
		    </div>
		</div>
		<?php } ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class("qt-container qt-vertical-padding-l"); ?>>
			<div id="qtcontents">
				<?php woocommerce_content(); ?>
			</div>
		</div>
		<?php if(is_archive()){ ?>
			<div class="qt-pagination qt-content-primary">
				<?php get_template_part ('phpincludes/part-pagination'); ?> 
			</div>
		<?php } ?>
	</div><!-- .qt-main end -->
<?php 
get_template_part ('phpincludes/footerwidgets');
get_footer(); 
?>