<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div class="qt-content-product-inline">
	<div class="row">
		<div class="col s12 m2 l1">
			<?php woocommerce_template_loop_product_thumbnail(); ?>
		</div>
		<div class="col s12 m7 l8">
			<?php  woocommerce_template_loop_product_link_open(); ?>
				<h5 class="qt-ellipsis qt-t">
					<?php the_title(); ?>
				</h5>
				<div class="qt-product-attributes">
					<?php woocommerce_template_loop_price(); ?>
					<?php woocommerce_template_loop_rating(); ?>
				</div>
				
			<?php woocommerce_template_loop_product_link_close();?>
		</div>
		<div class="col s12 m3 l3 qt-text-right qt-addtocart-btn">
			<?php 
			woocommerce_template_loop_add_to_cart();
			?>
		</div>
	</div>
</div>