<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<div class="col s12 m6 l4">
	<div class="qt-part-archive-item qt-part-item-wc">
		<div class="qt-item-header">
			<?php 
			/**
			 *
			 *	Featured image background
			 * 
			 */
			woocommerce_template_loop_product_thumbnail();

			/**
			 * Image with effects for Themes2Go
			 */
			if (has_post_thumbnail()){ ?>
		        <div data-testimage class="qt-header-bg" data-bgimage="<?php the_post_thumbnail_url( 'lifecoach-squared' ); ?>">
		        </div>
	     	<?php } else { ?>
	     		<?php $default_image = wc_placeholder_img_src(); ?>
	     		<div class="qt-header-bg" data-bgimage="<?php echo esc_url( $default_image ); ?>">
		        </div>
	     	<?php } ?>

	     	<a href="<?php the_permalink(); ?>" class="qt-cardfx-hover"><i class="dripicons-zoom-in"></i></a>
	     	<?php woocommerce_show_product_loop_sale_flash(); ?>
		</div>
		<div class="qt-card qt-paddedcontent-s">
			<div class="qt-archiveitem-product-titles">
			  	<?php  woocommerce_template_loop_product_link_open(); ?>
				<h4 class="qt-ellipsis-3 qt-t">
				<?php the_title(); ?>
				</h4>
				<?php woocommerce_template_loop_product_link_close();?>
			</div>
			<div class="qt-product-bottomrow row">
				<div class="col s12 m5">
					<?php  
					woocommerce_template_loop_rating();
					woocommerce_template_loop_price();
					?>
				</div>
				<div class="col m7 qt-btn-container-right">
					<?php 
					woocommerce_template_loop_add_to_cart();
					?>
				</div>
			</div>
		</div>
	</div>
</div>